
package at.gv.util.xsd.ersb;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ersb.pd.PersonenDatenTyp;


/**
 * <p>Java-Klasse für ErsbResponse complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ErsbResponse">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="returncode" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="statustext" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PersonenDaten" type="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}PersonenDatenTyp" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ErsbResponse", propOrder = {
    "returncode",
    "statustext",
    "personenDaten"
})
public class ErsbResponse {

    protected int returncode;
    protected String statustext;
    @XmlElement(name = "PersonenDaten")
    protected List<PersonenDatenTyp> personenDaten;
    @XmlAttribute(name = "id")
    protected BigInteger id;

    /**
     * Ruft den Wert der returncode-Eigenschaft ab.
     * 
     */
    public int getReturncode() {
        return returncode;
    }

    /**
     * Legt den Wert der returncode-Eigenschaft fest.
     * 
     */
    public void setReturncode(int value) {
        this.returncode = value;
    }

    /**
     * Ruft den Wert der statustext-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatustext() {
        return statustext;
    }

    /**
     * Legt den Wert der statustext-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatustext(String value) {
        this.statustext = value;
    }

    /**
     * Gets the value of the personenDaten property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the personenDaten property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPersonenDaten().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PersonenDatenTyp }
     * 
     * 
     */
    public List<PersonenDatenTyp> getPersonenDaten() {
        if (personenDaten == null) {
            personenDaten = new ArrayList<PersonenDatenTyp>();
        }
        return this.personenDaten;
    }

    /**
     * Ruft den Wert der id-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getId() {
        return id;
    }

    /**
     * Legt den Wert der id-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setId(BigInteger value) {
        this.id = value;
    }

}
