
package at.gv.util.xsd.mis;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java-Klasse für MandateIssueRequestType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="MandateIssueRequestType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;sequence>
 *           &lt;element name="IdentityLink" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *           &lt;element name="X509SignatureCertificate" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *           &lt;element name="OAFriendlyName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *           &lt;element name="RedirectURL" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *           &lt;element name="ReferenceValue">
 *             &lt;simpleType>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *                 &lt;minLength value="10"/>
 *                 &lt;maxLength value="100"/>
 *               &lt;/restriction>
 *             &lt;/simpleType>
 *           &lt;/element>
 *           &lt;element name="Filters" minOccurs="0">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd}MandateIdentifiers" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd}Target" minOccurs="0"/>
 *           &lt;element name="authBlock" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *         &lt;/sequence>
 *         &lt;element name="SessionID" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MandateIssueRequestType", propOrder = {
    "identityLink",
    "x509SignatureCertificate",
    "oaFriendlyName",
    "redirectURL",
    "referenceValue",
    "filters",
    "target",
    "authBlock",
    "sessionID"
})
public class MandateIssueRequestType {

    @XmlElement(name = "IdentityLink")
    protected byte[] identityLink;
    @XmlElement(name = "X509SignatureCertificate")
    protected byte[] x509SignatureCertificate;
    @XmlElement(name = "OAFriendlyName")
    protected String oaFriendlyName;
    @XmlElement(name = "RedirectURL")
    @XmlSchemaType(name = "anyURI")
    protected String redirectURL;
    @XmlElement(name = "ReferenceValue")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String referenceValue;
    @XmlElement(name = "Filters")
    protected MandateIssueRequestType.Filters filters;
    @XmlElement(name = "Target")
    protected Target target;
    protected byte[] authBlock;
    @XmlElement(name = "SessionID")
    protected String sessionID;

    /**
     * Ruft den Wert der identityLink-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getIdentityLink() {
        return identityLink;
    }

    /**
     * Legt den Wert der identityLink-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setIdentityLink(byte[] value) {
        this.identityLink = value;
    }

    /**
     * Ruft den Wert der x509SignatureCertificate-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getX509SignatureCertificate() {
        return x509SignatureCertificate;
    }

    /**
     * Legt den Wert der x509SignatureCertificate-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setX509SignatureCertificate(byte[] value) {
        this.x509SignatureCertificate = value;
    }

    /**
     * Ruft den Wert der oaFriendlyName-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOAFriendlyName() {
        return oaFriendlyName;
    }

    /**
     * Legt den Wert der oaFriendlyName-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOAFriendlyName(String value) {
        this.oaFriendlyName = value;
    }

    /**
     * Ruft den Wert der redirectURL-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRedirectURL() {
        return redirectURL;
    }

    /**
     * Legt den Wert der redirectURL-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRedirectURL(String value) {
        this.redirectURL = value;
    }

    /**
     * Ruft den Wert der referenceValue-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReferenceValue() {
        return referenceValue;
    }

    /**
     * Legt den Wert der referenceValue-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReferenceValue(String value) {
        this.referenceValue = value;
    }

    /**
     * Ruft den Wert der filters-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link MandateIssueRequestType.Filters }
     *     
     */
    public MandateIssueRequestType.Filters getFilters() {
        return filters;
    }

    /**
     * Legt den Wert der filters-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link MandateIssueRequestType.Filters }
     *     
     */
    public void setFilters(MandateIssueRequestType.Filters value) {
        this.filters = value;
    }

    /**
     * Ruft den Wert der target-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Target }
     *     
     */
    public Target getTarget() {
        return target;
    }

    /**
     * Legt den Wert der target-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Target }
     *     
     */
    public void setTarget(Target value) {
        this.target = value;
    }

    /**
     * Ruft den Wert der authBlock-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getAuthBlock() {
        return authBlock;
    }

    /**
     * Legt den Wert der authBlock-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setAuthBlock(byte[] value) {
        this.authBlock = value;
    }

    /**
     * Ruft den Wert der sessionID-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSessionID() {
        return sessionID;
    }

    /**
     * Legt den Wert der sessionID-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSessionID(String value) {
        this.sessionID = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd}MandateIdentifiers" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "mandateIdentifiers"
    })
    public static class Filters {

        @XmlElement(name = "MandateIdentifiers")
        protected MandateIdentifiers mandateIdentifiers;

        /**
         * Ruft den Wert der mandateIdentifiers-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link MandateIdentifiers }
         *     
         */
        public MandateIdentifiers getMandateIdentifiers() {
            return mandateIdentifiers;
        }

        /**
         * Legt den Wert der mandateIdentifiers-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link MandateIdentifiers }
         *     
         */
        public void setMandateIdentifiers(MandateIdentifiers value) {
            this.mandateIdentifiers = value;
        }

    }

}
