
package at.gv.util.xsd.misstork;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;sequence>
 *           &lt;element name="MISMandateType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/misstork/20131126/xsd}ReferenceValue"/>
 *           &lt;element name="ERsBMandateType" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;/sequence>
 *         &lt;sequence>
 *           &lt;element name="Mandate" type="{http://www.w3.org/2001/XMLSchema}base64Binary" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;/sequence>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "misMandateType",
    "referenceValue",
    "eRsBMandateType",
    "mandate"
})
@XmlRootElement(name = "MisStorkResponse")
public class MisStorkResponse {

    @XmlElement(name = "MISMandateType")
    protected String misMandateType;
    @XmlElement(name = "ReferenceValue")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String referenceValue;
    @XmlElement(name = "ERsBMandateType")
    protected BigInteger eRsBMandateType;
    @XmlElement(name = "Mandate")
    protected List<byte[]> mandate;

    /**
     * Ruft den Wert der misMandateType-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMISMandateType() {
        return misMandateType;
    }

    /**
     * Legt den Wert der misMandateType-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMISMandateType(String value) {
        this.misMandateType = value;
    }

    /**
     * Ruft den Wert der referenceValue-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReferenceValue() {
        return referenceValue;
    }

    /**
     * Legt den Wert der referenceValue-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReferenceValue(String value) {
        this.referenceValue = value;
    }

    /**
     * Ruft den Wert der eRsBMandateType-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getERsBMandateType() {
        return eRsBMandateType;
    }

    /**
     * Legt den Wert der eRsBMandateType-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setERsBMandateType(BigInteger value) {
        this.eRsBMandateType = value;
    }

    /**
     * Gets the value of the mandate property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the mandate property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMandate().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * byte[]
     * 
     */
    public List<byte[]> getMandate() {
        if (mandate == null) {
            mandate = new ArrayList<byte[]>();
        }
        return this.mandate;
    }

}
