
package at.gv.util.xsd.mms;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;sequence>
 *           &lt;element name="ssPIN" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *           &lt;element name="Mandates">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence maxOccurs="unbounded">
 *                     &lt;element name="Mandate" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/sequence>
 *         &lt;sequence>
 *           &lt;element name="ErrorResponse">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="Code" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
 *                     &lt;element name="Info" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/sequence>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "ssPIN",
    "mandates",
    "errorResponse"
})
@XmlRootElement(name = "GetMandatesResponse")
public class GetMandatesResponse {

    protected String ssPIN;
    @XmlElement(name = "Mandates")
    protected GetMandatesResponse.Mandates mandates;
    @XmlElement(name = "ErrorResponse")
    protected GetMandatesResponse.ErrorResponse errorResponse;

    /**
     * Gets the value of the ssPIN property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSsPIN() {
        return ssPIN;
    }

    /**
     * Sets the value of the ssPIN property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSsPIN(String value) {
        this.ssPIN = value;
    }

    /**
     * Gets the value of the mandates property.
     * 
     * @return
     *     possible object is
     *     {@link GetMandatesResponse.Mandates }
     *     
     */
    public GetMandatesResponse.Mandates getMandates() {
        return mandates;
    }

    /**
     * Sets the value of the mandates property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetMandatesResponse.Mandates }
     *     
     */
    public void setMandates(GetMandatesResponse.Mandates value) {
        this.mandates = value;
    }

    /**
     * Gets the value of the errorResponse property.
     * 
     * @return
     *     possible object is
     *     {@link GetMandatesResponse.ErrorResponse }
     *     
     */
    public GetMandatesResponse.ErrorResponse getErrorResponse() {
        return errorResponse;
    }

    /**
     * Sets the value of the errorResponse property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetMandatesResponse.ErrorResponse }
     *     
     */
    public void setErrorResponse(GetMandatesResponse.ErrorResponse value) {
        this.errorResponse = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Code" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
     *         &lt;element name="Info" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "code",
        "info"
    })
    public static class ErrorResponse {

        @XmlElement(name = "Code", required = true)
        @XmlSchemaType(name = "positiveInteger")
        protected BigInteger code;
        @XmlElement(name = "Info", required = true)
        protected String info;

        /**
         * Gets the value of the code property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getCode() {
            return code;
        }

        /**
         * Sets the value of the code property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setCode(BigInteger value) {
            this.code = value;
        }

        /**
         * Gets the value of the info property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getInfo() {
            return info;
        }

        /**
         * Sets the value of the info property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setInfo(String value) {
            this.info = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence maxOccurs="unbounded">
     *         &lt;element name="Mandate" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "mandate"
    })
    public static class Mandates {

        @XmlElement(name = "Mandate", required = true)
        protected List<byte[]> mandate;

        /**
         * Gets the value of the mandate property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the mandate property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getMandate().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * byte[]
         * 
         */
        public List<byte[]> getMandate() {
            if (mandate == null) {
                mandate = new ArrayList<byte[]>();
            }
            return this.mandate;
        }

    }

}
