
package at.gv.util.xsd.mzs;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for DeliveryStatementType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeliveryStatementType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reference.e-government.gv.at/namespace/moazs10/app2mzs#}MessageType">
 *       &lt;sequence>
 *         &lt;element name="DeliveryServer" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *         &lt;element name="ZSDeliveryID" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *         &lt;element name="Timestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeliveryStatementType", propOrder = {
    "deliveryServer",
    "zsDeliveryID",
    "timestamp"
})
public class DeliveryStatementType
    extends MessageType
{

    @XmlElement(name = "DeliveryServer", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String deliveryServer;
    @XmlElement(name = "ZSDeliveryID", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String zsDeliveryID;
    @XmlElement(name = "Timestamp", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar timestamp;

    /**
     * Gets the value of the deliveryServer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeliveryServer() {
        return deliveryServer;
    }

    /**
     * Sets the value of the deliveryServer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeliveryServer(String value) {
        this.deliveryServer = value;
    }

    /**
     * Gets the value of the zsDeliveryID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getZSDeliveryID() {
        return zsDeliveryID;
    }

    /**
     * Sets the value of the zsDeliveryID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setZSDeliveryID(String value) {
        this.zsDeliveryID = value;
    }

    /**
     * Gets the value of the timestamp property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTimestamp() {
        return timestamp;
    }

    /**
     * Sets the value of the timestamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTimestamp(XMLGregorianCalendar value) {
        this.timestamp = value;
    }

}
