
package at.gv.util.xsd.mzs;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * abstract message type
 * 
 * <p>Java class for MessageType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MessageType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/moazs10/app2mzs#}AppDeliveryID"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/moazs10/app2mzs#}MZSDeliveryID"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MessageType", propOrder = {
    "appDeliveryID",
    "mzsDeliveryID"
})
@XmlSeeAlso({
    PartialSuccessType.class,
    SuccessType.class,
    DeliveryStatementType.class,
    ErrorType.class
})
public class MessageType {

    @XmlElement(name = "AppDeliveryID", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String appDeliveryID;
    @XmlElement(name = "MZSDeliveryID", required = true)
    protected String mzsDeliveryID;

    /**
     * Gets the value of the appDeliveryID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAppDeliveryID() {
        return appDeliveryID;
    }

    /**
     * Sets the value of the appDeliveryID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAppDeliveryID(String value) {
        this.appDeliveryID = value;
    }

    /**
     * Gets the value of the mzsDeliveryID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMZSDeliveryID() {
        return mzsDeliveryID;
    }

    /**
     * Sets the value of the mzsDeliveryID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMZSDeliveryID(String value) {
        this.mzsDeliveryID = value;
    }

}
