
package at.gv.util.xsd.mzs;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;
import at.gv.util.xsd.mzs.persondata.PersonDataType;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.mzs package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DeliveryRequest_QNAME = new QName("http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", "DeliveryRequest");
    private final static QName _DeliveryResponse_QNAME = new QName("http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", "DeliveryResponse");
    private final static QName _Receiver_QNAME = new QName("http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", "Receiver");
    private final static QName _MZSDeliveryID_QNAME = new QName("http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", "MZSDeliveryID");
    private final static QName _AppDeliveryID_QNAME = new QName("http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", "AppDeliveryID");
    private final static QName _PartialSuccess_QNAME = new QName("http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", "PartialSuccess");
    private final static QName _DeliveryNotificationACK_QNAME = new QName("http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", "DeliveryNotificationACK");
    private final static QName _DeliveryNotification_QNAME = new QName("http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", "DeliveryNotification");
    private final static QName _DeliveryStatement_QNAME = new QName("http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", "DeliveryStatement");
    private final static QName _Success_QNAME = new QName("http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", "Success");
    private final static QName _Error_QNAME = new QName("http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", "Error");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.mzs
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DeliveryRequestType.XMLDocument }
     * 
     */
    public DeliveryRequestType.XMLDocument createDeliveryRequestTypeXMLDocument() {
        return new DeliveryRequestType.XMLDocument();
    }

    /**
     * Create an instance of {@link DeliveryResponseType }
     * 
     */
    public DeliveryResponseType createDeliveryResponseType() {
        return new DeliveryResponseType();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.Payload }
     * 
     */
    public DeliveryRequestType.Payload createDeliveryRequestTypePayload() {
        return new DeliveryRequestType.Payload();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.MetaData.DualDelivery.PrintParameter }
     * 
     */
    public DeliveryRequestType.MetaData.DualDelivery.PrintParameter createDeliveryRequestTypeMetaDataDualDeliveryPrintParameter() {
        return new DeliveryRequestType.MetaData.DualDelivery.PrintParameter();
    }

    /**
     * Create an instance of {@link SuccessType }
     * 
     */
    public SuccessType createSuccessType() {
        return new SuccessType();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.Sender }
     * 
     */
    public DeliveryRequestType.Sender createDeliveryRequestTypeSender() {
        return new DeliveryRequestType.Sender();
    }

    /**
     * Create an instance of {@link MessageType }
     * 
     */
    public MessageType createMessageType() {
        return new MessageType();
    }

    /**
     * Create an instance of {@link PartialSuccessType }
     * 
     */
    public PartialSuccessType createPartialSuccessType() {
        return new PartialSuccessType();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.MetaData }
     * 
     */
    public DeliveryRequestType.MetaData createDeliveryRequestTypeMetaData() {
        return new DeliveryRequestType.MetaData();
    }

    /**
     * Create an instance of {@link DeliveryRequestType }
     * 
     */
    public DeliveryRequestType createDeliveryRequestType() {
        return new DeliveryRequestType();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.Server }
     * 
     */
    public DeliveryRequestType.Server createDeliveryRequestTypeServer() {
        return new DeliveryRequestType.Server();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.MetaData.MailBody }
     * 
     */
    public DeliveryRequestType.MetaData.MailBody createDeliveryRequestTypeMetaDataMailBody() {
        return new DeliveryRequestType.MetaData.MailBody();
    }

    /**
     * Create an instance of {@link DeliveryNotificationACKType }
     * 
     */
    public DeliveryNotificationACKType createDeliveryNotificationACKType() {
        return new DeliveryNotificationACKType();
    }

    /**
     * Create an instance of {@link DeliveryStatementType }
     * 
     */
    public DeliveryStatementType createDeliveryStatementType() {
        return new DeliveryStatementType();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.XMLDocument.PreviewStylesheet }
     * 
     */
    public DeliveryRequestType.XMLDocument.PreviewStylesheet createDeliveryRequestTypeXMLDocumentPreviewStylesheet() {
        return new DeliveryRequestType.XMLDocument.PreviewStylesheet();
    }

    /**
     * Create an instance of {@link ErrorType }
     * 
     */
    public ErrorType createErrorType() {
        return new ErrorType();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.XMLDocument.SignatureXPath }
     * 
     */
    public DeliveryRequestType.XMLDocument.SignatureXPath createDeliveryRequestTypeXMLDocumentSignatureXPath() {
        return new DeliveryRequestType.XMLDocument.SignatureXPath();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.XMLDocument.PreviewStylesheet.XMLContent }
     * 
     */
    public DeliveryRequestType.XMLDocument.PreviewStylesheet.XMLContent createDeliveryRequestTypeXMLDocumentPreviewStylesheetXMLContent() {
        return new DeliveryRequestType.XMLDocument.PreviewStylesheet.XMLContent();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.XMLDocument.XMLContent }
     * 
     */
    public DeliveryRequestType.XMLDocument.XMLContent createDeliveryRequestTypeXMLDocumentXMLContent() {
        return new DeliveryRequestType.XMLDocument.XMLContent();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.MetaData.DualDelivery }
     * 
     */
    public DeliveryRequestType.MetaData.DualDelivery createDeliveryRequestTypeMetaDataDualDelivery() {
        return new DeliveryRequestType.MetaData.DualDelivery();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.Payload.DocumentReference }
     * 
     */
    public DeliveryRequestType.Payload.DocumentReference createDeliveryRequestTypePayloadDocumentReference() {
        return new DeliveryRequestType.Payload.DocumentReference();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.XMLDocument.SignatureStylesheet }
     * 
     */
    public DeliveryRequestType.XMLDocument.SignatureStylesheet createDeliveryRequestTypeXMLDocumentSignatureStylesheet() {
        return new DeliveryRequestType.XMLDocument.SignatureStylesheet();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.XMLDocument.SignatureStylesheet.XMLContent }
     * 
     */
    public DeliveryRequestType.XMLDocument.SignatureStylesheet.XMLContent createDeliveryRequestTypeXMLDocumentSignatureStylesheetXMLContent() {
        return new DeliveryRequestType.XMLDocument.SignatureStylesheet.XMLContent();
    }

    /**
     * Create an instance of {@link DeliveryNotificationType }
     * 
     */
    public DeliveryNotificationType createDeliveryNotificationType() {
        return new DeliveryNotificationType();
    }

    /**
     * Create an instance of {@link DeliveryRequestType.Payload.BinaryDocument }
     * 
     */
    public DeliveryRequestType.Payload.BinaryDocument createDeliveryRequestTypePayloadBinaryDocument() {
        return new DeliveryRequestType.Payload.BinaryDocument();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliveryRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", name = "DeliveryRequest")
    public JAXBElement<DeliveryRequestType> createDeliveryRequest(DeliveryRequestType value) {
        return new JAXBElement<DeliveryRequestType>(_DeliveryRequest_QNAME, DeliveryRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliveryResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", name = "DeliveryResponse")
    public JAXBElement<DeliveryResponseType> createDeliveryResponse(DeliveryResponseType value) {
        return new JAXBElement<DeliveryResponseType>(_DeliveryResponse_QNAME, DeliveryResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonDataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", name = "Receiver")
    public JAXBElement<PersonDataType> createReceiver(PersonDataType value) {
        return new JAXBElement<PersonDataType>(_Receiver_QNAME, PersonDataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", name = "MZSDeliveryID")
    public JAXBElement<String> createMZSDeliveryID(String value) {
        return new JAXBElement<String>(_MZSDeliveryID_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", name = "AppDeliveryID")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createAppDeliveryID(String value) {
        return new JAXBElement<String>(_AppDeliveryID_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PartialSuccessType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", name = "PartialSuccess")
    public JAXBElement<PartialSuccessType> createPartialSuccess(PartialSuccessType value) {
        return new JAXBElement<PartialSuccessType>(_PartialSuccess_QNAME, PartialSuccessType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliveryNotificationACKType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", name = "DeliveryNotificationACK")
    public JAXBElement<DeliveryNotificationACKType> createDeliveryNotificationACK(DeliveryNotificationACKType value) {
        return new JAXBElement<DeliveryNotificationACKType>(_DeliveryNotificationACK_QNAME, DeliveryNotificationACKType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliveryNotificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", name = "DeliveryNotification")
    public JAXBElement<DeliveryNotificationType> createDeliveryNotification(DeliveryNotificationType value) {
        return new JAXBElement<DeliveryNotificationType>(_DeliveryNotification_QNAME, DeliveryNotificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeliveryStatementType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", name = "DeliveryStatement")
    public JAXBElement<DeliveryStatementType> createDeliveryStatement(DeliveryStatementType value) {
        return new JAXBElement<DeliveryStatementType>(_DeliveryStatement_QNAME, DeliveryStatementType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SuccessType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", name = "Success")
    public JAXBElement<SuccessType> createSuccess(SuccessType value) {
        return new JAXBElement<SuccessType>(_Success_QNAME, SuccessType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/moazs10/app2mzs#", name = "Error")
    public JAXBElement<ErrorType> createError(ErrorType value) {
        return new JAXBElement<ErrorType>(_Error_QNAME, ErrorType.class, null, value);
    }

}
