
package at.gv.util.xsd.mzs.persondata;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.mzs.persondata package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Name_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "Name");
    private final static QName _DateOfBirth_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "DateOfBirth");
    private final static QName _Address_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "Address");
    private final static QName _PhysicalPerson_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "PhysicalPerson");
    private final static QName _AbstractPersonData_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "AbstractPersonData");
    private final static QName _CorporateBody_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "CorporateBody");
    private final static QName _Person_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "Person");
    private final static QName _PersonData_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "PersonData");
    private final static QName _PostalAddress_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "PostalAddress");
    private final static QName _TelephoneAddress_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "TelephoneAddress");
    private final static QName _InternetAddress_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "InternetAddress");
    private final static QName _FormattedNumber_QNAME = new QName("http://reference.e-government.gv.at/namespace/persondata/20020228#", "FormattedNumber");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.mzs.persondata
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link PostalAddressType }
     * 
     */
    public PostalAddressType createPostalAddressType() {
        return new PostalAddressType();
    }

    /**
     * Create an instance of {@link PersonDataType }
     * 
     */
    public PersonDataType createPersonDataType() {
        return new PersonDataType();
    }

    /**
     * Create an instance of {@link IdentificationType }
     * 
     */
    public IdentificationType createIdentificationType() {
        return new IdentificationType();
    }

    /**
     * Create an instance of {@link CorporateBodyType }
     * 
     */
    public CorporateBodyType createCorporateBodyType() {
        return new CorporateBodyType();
    }

    /**
     * Create an instance of {@link InternetAddressType }
     * 
     */
    public InternetAddressType createInternetAddressType() {
        return new InternetAddressType();
    }

    /**
     * Create an instance of {@link TelcomNumberType }
     * 
     */
    public TelcomNumberType createTelcomNumberType() {
        return new TelcomNumberType();
    }

    /**
     * Create an instance of {@link TelephoneAddressType }
     * 
     */
    public TelephoneAddressType createTelephoneAddressType() {
        return new TelephoneAddressType();
    }

    /**
     * Create an instance of {@link AbstractAddressType }
     * 
     */
    public AbstractAddressType createAbstractAddressType() {
        return new AbstractAddressType();
    }

    /**
     * Create an instance of {@link PostalAddressType.DeliveryAddress }
     * 
     */
    public PostalAddressType.DeliveryAddress createPostalAddressTypeDeliveryAddress() {
        return new PostalAddressType.DeliveryAddress();
    }

    /**
     * Create an instance of {@link PhysicalPersonType }
     * 
     */
    public PhysicalPersonType createPhysicalPersonType() {
        return new PhysicalPersonType();
    }

    /**
     * Create an instance of {@link PersonNameType.FamilyName }
     * 
     */
    public PersonNameType.FamilyName createPersonNameTypeFamilyName() {
        return new PersonNameType.FamilyName();
    }

    /**
     * Create an instance of {@link AbstractPersonType }
     * 
     */
    public AbstractPersonType createAbstractPersonType() {
        return new AbstractPersonType();
    }

    /**
     * Create an instance of {@link IdentificationType.Value }
     * 
     */
    public IdentificationType.Value createIdentificationTypeValue() {
        return new IdentificationType.Value();
    }

    /**
     * Create an instance of {@link PersonNameType }
     * 
     */
    public PersonNameType createPersonNameType() {
        return new PersonNameType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonNameType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "Name")
    public JAXBElement<PersonNameType> createName(PersonNameType value) {
        return new JAXBElement<PersonNameType>(_Name_QNAME, PersonNameType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "DateOfBirth")
    public JAXBElement<XMLGregorianCalendar> createDateOfBirth(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_DateOfBirth_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AbstractAddressType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "Address")
    public JAXBElement<AbstractAddressType> createAddress(AbstractAddressType value) {
        return new JAXBElement<AbstractAddressType>(_Address_QNAME, AbstractAddressType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PhysicalPersonType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "PhysicalPerson", substitutionHeadNamespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", substitutionHeadName = "Person")
    public JAXBElement<PhysicalPersonType> createPhysicalPerson(PhysicalPersonType value) {
        return new JAXBElement<PhysicalPersonType>(_PhysicalPerson_QNAME, PhysicalPersonType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AbstractPersonType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "AbstractPersonData")
    public JAXBElement<AbstractPersonType> createAbstractPersonData(AbstractPersonType value) {
        return new JAXBElement<AbstractPersonType>(_AbstractPersonData_QNAME, AbstractPersonType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CorporateBodyType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "CorporateBody", substitutionHeadNamespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", substitutionHeadName = "Person")
    public JAXBElement<CorporateBodyType> createCorporateBody(CorporateBodyType value) {
        return new JAXBElement<CorporateBodyType>(_CorporateBody_QNAME, CorporateBodyType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AbstractPersonType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "Person")
    public JAXBElement<AbstractPersonType> createPerson(AbstractPersonType value) {
        return new JAXBElement<AbstractPersonType>(_Person_QNAME, AbstractPersonType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonDataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "PersonData")
    public JAXBElement<PersonDataType> createPersonData(PersonDataType value) {
        return new JAXBElement<PersonDataType>(_PersonData_QNAME, PersonDataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PostalAddressType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "PostalAddress", substitutionHeadNamespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", substitutionHeadName = "Address")
    public JAXBElement<PostalAddressType> createPostalAddress(PostalAddressType value) {
        return new JAXBElement<PostalAddressType>(_PostalAddress_QNAME, PostalAddressType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TelephoneAddressType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "TelephoneAddress", substitutionHeadNamespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", substitutionHeadName = "Address")
    public JAXBElement<TelephoneAddressType> createTelephoneAddress(TelephoneAddressType value) {
        return new JAXBElement<TelephoneAddressType>(_TelephoneAddress_QNAME, TelephoneAddressType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InternetAddressType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "InternetAddress", substitutionHeadNamespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", substitutionHeadName = "Address")
    public JAXBElement<InternetAddressType> createInternetAddress(InternetAddressType value) {
        return new JAXBElement<InternetAddressType>(_InternetAddress_QNAME, InternetAddressType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", name = "FormattedNumber")
    public JAXBElement<String> createFormattedNumber(String value) {
        return new JAXBElement<String>(_FormattedNumber_QNAME, String.class, null, value);
    }

}
