
package at.gv.util.xsd.srzgw;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PEPSData" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Identifier" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="Firstname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="Familyname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="DateOfBirth" type="{http://reference.e-government.gv.at/namespace/szrgw/20070807/xsd}DateOfBirthType" minOccurs="0"/>
 *                   &lt;element name="Gender" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="FiscalNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="LegalPersonTranslatableType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="LegalPersonCanonicalRegisteredAddress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="Representative" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="Represented" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="MandateContent" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Signature" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *         &lt;element name="MIS" type="{http://reference.e-government.gv.at/namespace/szrgw/20070807/xsd}MISType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="reqID" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "pepsData",
    "signature",
    "mis"
})
@XmlRootElement(name = "CreateIdentityLinkRequest")
public class CreateIdentityLinkRequest {

    @XmlElement(name = "PEPSData")
    protected CreateIdentityLinkRequest.PEPSData pepsData;
    @XmlElement(name = "Signature", required = true)
    protected byte[] signature;
    @XmlElement(name = "MIS")
    protected MISType mis;
    @XmlAttribute(name = "reqID")
    protected String reqID;

    /**
     * Ruft den Wert der pepsData-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link CreateIdentityLinkRequest.PEPSData }
     *     
     */
    public CreateIdentityLinkRequest.PEPSData getPEPSData() {
        return pepsData;
    }

    /**
     * Legt den Wert der pepsData-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link CreateIdentityLinkRequest.PEPSData }
     *     
     */
    public void setPEPSData(CreateIdentityLinkRequest.PEPSData value) {
        this.pepsData = value;
    }

    /**
     * Ruft den Wert der signature-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getSignature() {
        return signature;
    }

    /**
     * Legt den Wert der signature-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setSignature(byte[] value) {
        this.signature = value;
    }

    /**
     * Ruft den Wert der mis-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link MISType }
     *     
     */
    public MISType getMIS() {
        return mis;
    }

    /**
     * Legt den Wert der mis-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link MISType }
     *     
     */
    public void setMIS(MISType value) {
        this.mis = value;
    }

    /**
     * Ruft den Wert der reqID-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReqID() {
        return reqID;
    }

    /**
     * Legt den Wert der reqID-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReqID(String value) {
        this.reqID = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Identifier" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="Firstname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="Familyname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="DateOfBirth" type="{http://reference.e-government.gv.at/namespace/szrgw/20070807/xsd}DateOfBirthType" minOccurs="0"/>
     *         &lt;element name="Gender" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="FiscalNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="LegalPersonTranslatableType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="LegalPersonCanonicalRegisteredAddress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="Representative" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="Represented" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="MandateContent" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "identifier",
        "firstname",
        "familyname",
        "dateOfBirth",
        "gender",
        "fiscalNumber",
        "legalPersonTranslatableType",
        "legalPersonCanonicalRegisteredAddress",
        "representative",
        "represented",
        "mandateContent"
    })
    public static class PEPSData {

        @XmlElement(name = "Identifier")
        protected String identifier;
        @XmlElement(name = "Firstname")
        protected String firstname;
        @XmlElement(name = "Familyname")
        protected String familyname;
        @XmlElement(name = "DateOfBirth")
        @XmlSchemaType(name = "anySimpleType")
        protected String dateOfBirth;
        @XmlElement(name = "Gender")
        protected String gender;
        @XmlElement(name = "FiscalNumber")
        protected String fiscalNumber;
        @XmlElement(name = "LegalPersonTranslatableType")
        protected String legalPersonTranslatableType;
        @XmlElement(name = "LegalPersonCanonicalRegisteredAddress")
        protected String legalPersonCanonicalRegisteredAddress;
        @XmlElement(name = "Representative")
        protected String representative;
        @XmlElement(name = "Represented")
        protected String represented;
        @XmlElement(name = "MandateContent")
        protected String mandateContent;

        /**
         * Ruft den Wert der identifier-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getIdentifier() {
            return identifier;
        }

        /**
         * Legt den Wert der identifier-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setIdentifier(String value) {
            this.identifier = value;
        }

        /**
         * Ruft den Wert der firstname-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getFirstname() {
            return firstname;
        }

        /**
         * Legt den Wert der firstname-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setFirstname(String value) {
            this.firstname = value;
        }

        /**
         * Ruft den Wert der familyname-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getFamilyname() {
            return familyname;
        }

        /**
         * Legt den Wert der familyname-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setFamilyname(String value) {
            this.familyname = value;
        }

        /**
         * Ruft den Wert der dateOfBirth-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDateOfBirth() {
            return dateOfBirth;
        }

        /**
         * Legt den Wert der dateOfBirth-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDateOfBirth(String value) {
            this.dateOfBirth = value;
        }

        /**
         * Ruft den Wert der gender-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGender() {
            return gender;
        }

        /**
         * Legt den Wert der gender-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGender(String value) {
            this.gender = value;
        }

        /**
         * Ruft den Wert der fiscalNumber-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getFiscalNumber() {
            return fiscalNumber;
        }

        /**
         * Legt den Wert der fiscalNumber-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setFiscalNumber(String value) {
            this.fiscalNumber = value;
        }

        /**
         * Ruft den Wert der legalPersonTranslatableType-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getLegalPersonTranslatableType() {
            return legalPersonTranslatableType;
        }

        /**
         * Legt den Wert der legalPersonTranslatableType-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setLegalPersonTranslatableType(String value) {
            this.legalPersonTranslatableType = value;
        }

        /**
         * Ruft den Wert der legalPersonCanonicalRegisteredAddress-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getLegalPersonCanonicalRegisteredAddress() {
            return legalPersonCanonicalRegisteredAddress;
        }

        /**
         * Legt den Wert der legalPersonCanonicalRegisteredAddress-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setLegalPersonCanonicalRegisteredAddress(String value) {
            this.legalPersonCanonicalRegisteredAddress = value;
        }

        /**
         * Ruft den Wert der representative-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getRepresentative() {
            return representative;
        }

        /**
         * Legt den Wert der representative-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setRepresentative(String value) {
            this.representative = value;
        }

        /**
         * Ruft den Wert der represented-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getRepresented() {
            return represented;
        }

        /**
         * Legt den Wert der represented-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setRepresented(String value) {
            this.represented = value;
        }

        /**
         * Ruft den Wert der mandateContent-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMandateContent() {
            return mandateContent;
        }

        /**
         * Legt den Wert der mandateContent-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMandateContent(String value) {
            this.mandateContent = value;
        }

    }

}
