
package at.gv.util.xsd.szr;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.szr.persondata.PhysicalPersonType;
import at.gv.util.xsd.szr.persondata.PostalAddressType;


/**
 * <p>Java-Klasse für PersonInfoType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="PersonInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Person" type="{http://reference.e-government.gv.at/namespace/persondata/20020228#}PhysicalPersonType"/>
 *         &lt;element name="RegularDomicile" type="{http://reference.e-government.gv.at/namespace/persondata/20020228#}PostalAddressType" minOccurs="0"/>
 *         &lt;element name="AddressCodes" type="{urn:SZRServices}AddressCodesType" minOccurs="0"/>
 *         &lt;element name="TravelDocument" type="{urn:SZRServices}TravelDocumentType" minOccurs="0"/>
 *         &lt;element name="DateOfBirthWildcard" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PersonInfoType", propOrder = {
    "person",
    "regularDomicile",
    "addressCodes",
    "travelDocument",
    "dateOfBirthWildcard"
})
public class PersonInfoType {

    @XmlElement(name = "Person", required = true)
    protected PhysicalPersonType person;
    @XmlElement(name = "RegularDomicile")
    protected PostalAddressType regularDomicile;
    @XmlElement(name = "AddressCodes")
    protected AddressCodesType addressCodes;
    @XmlElementRef(name = "TravelDocument", namespace = "urn:SZRServices", type = JAXBElement.class, required = false)
    protected JAXBElement<TravelDocumentType> travelDocument;
    @XmlElementRef(name = "DateOfBirthWildcard", namespace = "urn:SZRServices", type = JAXBElement.class, required = false)
    protected JAXBElement<Boolean> dateOfBirthWildcard;

    /**
     * Ruft den Wert der person-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PhysicalPersonType }
     *     
     */
    public PhysicalPersonType getPerson() {
        return person;
    }

    /**
     * Legt den Wert der person-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PhysicalPersonType }
     *     
     */
    public void setPerson(PhysicalPersonType value) {
        this.person = value;
    }

    /**
     * Ruft den Wert der regularDomicile-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PostalAddressType }
     *     
     */
    public PostalAddressType getRegularDomicile() {
        return regularDomicile;
    }

    /**
     * Legt den Wert der regularDomicile-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PostalAddressType }
     *     
     */
    public void setRegularDomicile(PostalAddressType value) {
        this.regularDomicile = value;
    }

    /**
     * Ruft den Wert der addressCodes-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link AddressCodesType }
     *     
     */
    public AddressCodesType getAddressCodes() {
        return addressCodes;
    }

    /**
     * Legt den Wert der addressCodes-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link AddressCodesType }
     *     
     */
    public void setAddressCodes(AddressCodesType value) {
        this.addressCodes = value;
    }

    /**
     * Ruft den Wert der travelDocument-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link TravelDocumentType }{@code >}
     *     
     */
    public JAXBElement<TravelDocumentType> getTravelDocument() {
        return travelDocument;
    }

    /**
     * Legt den Wert der travelDocument-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link TravelDocumentType }{@code >}
     *     
     */
    public void setTravelDocument(JAXBElement<TravelDocumentType> value) {
        this.travelDocument = value;
    }

    /**
     * Ruft den Wert der dateOfBirthWildcard-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link Boolean }{@code >}
     *     
     */
    public JAXBElement<Boolean> getDateOfBirthWildcard() {
        return dateOfBirthWildcard;
    }

    /**
     * Legt den Wert der dateOfBirthWildcard-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link Boolean }{@code >}
     *     
     */
    public void setDateOfBirthWildcard(JAXBElement<Boolean> value) {
        this.dateOfBirthWildcard = value;
    }

}
