
package at.gv.util.xsd.szr.ecdsa;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für ECDSAKeyValueType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ECDSAKeyValueType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="DomainParameters" type="{http://www.w3.org/2001/04/xmldsig-more#}DomainParamsType" minOccurs="0"/>
 *         &lt;element name="PublicKey" type="{http://www.w3.org/2001/04/xmldsig-more#}ECPointType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ECDSAKeyValueType", propOrder = {
    "domainParameters",
    "publicKey"
})
public class ECDSAKeyValueType {

    @XmlElement(name = "DomainParameters")
    protected DomainParamsType domainParameters;
    @XmlElement(name = "PublicKey", required = true)
    protected ECPointType publicKey;

    /**
     * Ruft den Wert der domainParameters-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link DomainParamsType }
     *     
     */
    public DomainParamsType getDomainParameters() {
        return domainParameters;
    }

    /**
     * Legt den Wert der domainParameters-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link DomainParamsType }
     *     
     */
    public void setDomainParameters(DomainParamsType value) {
        this.domainParameters = value;
    }

    /**
     * Ruft den Wert der publicKey-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ECPointType }
     *     
     */
    public ECPointType getPublicKey() {
        return publicKey;
    }

    /**
     * Legt den Wert der publicKey-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ECPointType }
     *     
     */
    public void setPublicKey(ECPointType value) {
        this.publicKey = value;
    }

}
