
package at.gv.util.xsd.szr.pvp;

import java.math.BigInteger;
import java.util.HashMap;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;


/**
 * <p>Java-Klasse für pvpPrincipalType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="pvpPrincipalType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="userId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="cn" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gvOuId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ou" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gvSecClass" type="{http://egov.gv.at/pvp1.xsd}gvSecClassType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;anyAttribute processContents='lax'/>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "pvpPrincipalType", propOrder = {
    "userId",
    "cn",
    "gvOuId",
    "ou",
    "gvSecClass"
})
@XmlSeeAlso({
    at.gv.util.xsd.szr.pvp.PvpTokenType.Authenticate.UserPrincipal.class
})
public class PvpPrincipalType {

    @XmlElement(required = true)
    protected String userId;
    @XmlElement(required = true)
    protected String cn;
    @XmlElement(required = true)
    protected String gvOuId;
    @XmlElement(required = true)
    protected String ou;
    protected BigInteger gvSecClass;
    @XmlAnyAttribute
    private Map<QName, String> otherAttributes = new HashMap<QName, String>();

    /**
     * Ruft den Wert der userId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserId() {
        return userId;
    }

    /**
     * Legt den Wert der userId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserId(String value) {
        this.userId = value;
    }

    /**
     * Ruft den Wert der cn-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCn() {
        return cn;
    }

    /**
     * Legt den Wert der cn-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCn(String value) {
        this.cn = value;
    }

    /**
     * Ruft den Wert der gvOuId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGvOuId() {
        return gvOuId;
    }

    /**
     * Legt den Wert der gvOuId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGvOuId(String value) {
        this.gvOuId = value;
    }

    /**
     * Ruft den Wert der ou-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOu() {
        return ou;
    }

    /**
     * Legt den Wert der ou-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOu(String value) {
        this.ou = value;
    }

    /**
     * Ruft den Wert der gvSecClass-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getGvSecClass() {
        return gvSecClass;
    }

    /**
     * Legt den Wert der gvSecClass-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setGvSecClass(BigInteger value) {
        this.gvSecClass = value;
    }

    /**
     * Gets a map that contains attributes that aren't bound to any typed property on this class.
     * 
     * <p>
     * the map is keyed by the name of the attribute and 
     * the value is the string value of the attribute.
     * 
     * the map returned by this method is live, and you can add new attribute
     * by updating the map directly. Because of this design, there's no setter.
     * 
     * 
     * @return
     *     always non-null
     */
    public Map<QName, String> getOtherAttributes() {
        return otherAttributes;
    }

}
