
package at.gv.util.xsd.szr.xmldsig;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.szr.ecdsa.ECDSAKeyValueType;


/**
 * <p>Java-Klasse für KeyValueType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="KeyValueType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="DSAKeyValue" type="{http://www.w3.org/2000/09/xmldsig#}DSAKeyValueType" minOccurs="0"/>
 *         &lt;element name="RSAKeyValue" type="{http://www.w3.org/2000/09/xmldsig#}RSAKeyValueType" minOccurs="0"/>
 *         &lt;element ref="{http://www.w3.org/2001/04/xmldsig-more#}ECDSAKeyValue"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "KeyValueType", propOrder = {
    "dsaKeyValue",
    "rsaKeyValue",
    "ecdsaKeyValue"
})
public class KeyValueType {

    @XmlElement(name = "DSAKeyValue")
    protected DSAKeyValueType dsaKeyValue;
    @XmlElement(name = "RSAKeyValue")
    protected RSAKeyValueType rsaKeyValue;
    @XmlElement(name = "ECDSAKeyValue", namespace = "http://www.w3.org/2001/04/xmldsig-more#", required = true)
    protected ECDSAKeyValueType ecdsaKeyValue;

    /**
     * Ruft den Wert der dsaKeyValue-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link DSAKeyValueType }
     *     
     */
    public DSAKeyValueType getDSAKeyValue() {
        return dsaKeyValue;
    }

    /**
     * Legt den Wert der dsaKeyValue-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link DSAKeyValueType }
     *     
     */
    public void setDSAKeyValue(DSAKeyValueType value) {
        this.dsaKeyValue = value;
    }

    /**
     * Ruft den Wert der rsaKeyValue-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link RSAKeyValueType }
     *     
     */
    public RSAKeyValueType getRSAKeyValue() {
        return rsaKeyValue;
    }

    /**
     * Legt den Wert der rsaKeyValue-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link RSAKeyValueType }
     *     
     */
    public void setRSAKeyValue(RSAKeyValueType value) {
        this.rsaKeyValue = value;
    }

    /**
     * Ruft den Wert der ecdsaKeyValue-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ECDSAKeyValueType }
     *     
     */
    public ECDSAKeyValueType getECDSAKeyValue() {
        return ecdsaKeyValue;
    }

    /**
     * Legt den Wert der ecdsaKeyValue-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ECDSAKeyValueType }
     *     
     */
    public void setECDSAKeyValue(ECDSAKeyValueType value) {
        this.ecdsaKeyValue = value;
    }

}
