
package at.gv.util.xsd.ur_V2.xmlsw;

import java.math.BigInteger;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.ur_V2.xmlsw package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _FaultHint_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "FaultHint");
    private final static QName _CaseSensitive_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "CaseSensitive");
    private final static QName _Path_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "Path");
    private final static QName _SearchRequestInfo_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "SearchRequestInfo");
    private final static QName _SortKey_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "SortKey");
    private final static QName _ResultSetId_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "ResultSetId");
    private final static QName _RecordId_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "RecordId");
    private final static QName _SearchCriteria_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "SearchCriteria");
    private final static QName _Costs_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "Costs");
    private final static QName _Detail_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "Detail");
    private final static QName _SearchByExample_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "SearchByExample");
    private final static QName _SearchRequestId_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "SearchRequestId");
    private final static QName _ResultCriteria_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "ResultCriteria");
    private final static QName _ReturnedRecords_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "ReturnedRecords");
    private final static QName _AccountedUnits_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "AccountedUnits");
    private final static QName _SearchResponse_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "SearchResponse");
    private final static QName _FoundRecords_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "FoundRecords");
    private final static QName _StartRecord_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "StartRecord");
    private final static QName _Ascending_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "Ascending");
    private final static QName _TimeStamp_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "TimeStamp");
    private final static QName _TimeOut_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "TimeOut");
    private final static QName _InvoiceId_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "InvoiceId");
    private final static QName _Message_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "Message");
    private final static QName _MaxRecords_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "MaxRecords");
    private final static QName _SortKeys_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "SortKeys");
    private final static QName _SearchById_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "SearchById");
    private final static QName _ResultInfo_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "ResultInfo");
    private final static QName _PaymentInfo_QNAME = new QName("http://reference.e-government.gv.at/namespace/xml-sw/1#", "PaymentInfo");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.ur_V2.xmlsw
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ResultCriteriaType }
     * 
     */
    public ResultCriteriaType createResultCriteriaType() {
        return new ResultCriteriaType();
    }

    /**
     * Create an instance of {@link SearchResponseType }
     * 
     */
    public SearchResponseType createSearchResponseType() {
        return new SearchResponseType();
    }

    /**
     * Create an instance of {@link SearchByExampleType }
     * 
     */
    public SearchByExampleType createSearchByExampleType() {
        return new SearchByExampleType();
    }

    /**
     * Create an instance of {@link ExtraResultCriteria }
     * 
     */
    public ExtraResultCriteria createExtraResultCriteria() {
        return new ExtraResultCriteria();
    }

    /**
     * Create an instance of {@link SortKeysType }
     * 
     */
    public SortKeysType createSortKeysType() {
        return new SortKeysType();
    }

    /**
     * Create an instance of {@link CustomFaultType }
     * 
     */
    public CustomFaultType createCustomFaultType() {
        return new CustomFaultType();
    }

    /**
     * Create an instance of {@link ResultInfoType }
     * 
     */
    public ResultInfoType createResultInfoType() {
        return new ResultInfoType();
    }

    /**
     * Create an instance of {@link SearchByIdType }
     * 
     */
    public SearchByIdType createSearchByIdType() {
        return new SearchByIdType();
    }

    /**
     * Create an instance of {@link ResultRecords }
     * 
     */
    public ResultRecords createResultRecords() {
        return new ResultRecords();
    }

    /**
     * Create an instance of {@link ResultRecord }
     * 
     */
    public ResultRecord createResultRecord() {
        return new ResultRecord();
    }

    /**
     * Create an instance of {@link PaymentInfoType }
     * 
     */
    public PaymentInfoType createPaymentInfoType() {
        return new PaymentInfoType();
    }

    /**
     * Create an instance of {@link SearchCriteriaType }
     * 
     */
    public SearchCriteriaType createSearchCriteriaType() {
        return new SearchCriteriaType();
    }

    /**
     * Create an instance of {@link RecordFieldList }
     * 
     */
    public RecordFieldList createRecordFieldList() {
        return new RecordFieldList();
    }

    /**
     * Create an instance of {@link ExtraResultInfo }
     * 
     */
    public ExtraResultInfo createExtraResultInfo() {
        return new ExtraResultInfo();
    }

    /**
     * Create an instance of {@link SortKeyType }
     * 
     */
    public SortKeyType createSortKeyType() {
        return new SortKeyType();
    }

    /**
     * Create an instance of {@link SearchRequestInfoType }
     * 
     */
    public SearchRequestInfoType createSearchRequestInfoType() {
        return new SearchRequestInfoType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "FaultHint")
    public JAXBElement<String> createFaultHint(String value) {
        return new JAXBElement<String>(_FaultHint_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "CaseSensitive")
    public JAXBElement<Boolean> createCaseSensitive(Boolean value) {
        return new JAXBElement<Boolean>(_CaseSensitive_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "Path")
    public JAXBElement<String> createPath(String value) {
        return new JAXBElement<String>(_Path_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchRequestInfoType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "SearchRequestInfo")
    public JAXBElement<SearchRequestInfoType> createSearchRequestInfo(SearchRequestInfoType value) {
        return new JAXBElement<SearchRequestInfoType>(_SearchRequestInfo_QNAME, SearchRequestInfoType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SortKeyType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "SortKey")
    public JAXBElement<SortKeyType> createSortKey(SortKeyType value) {
        return new JAXBElement<SortKeyType>(_SortKey_QNAME, SortKeyType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "ResultSetId")
    public JAXBElement<String> createResultSetId(String value) {
        return new JAXBElement<String>(_ResultSetId_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "RecordId")
    public JAXBElement<BigInteger> createRecordId(BigInteger value) {
        return new JAXBElement<BigInteger>(_RecordId_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchCriteriaType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "SearchCriteria")
    public JAXBElement<SearchCriteriaType> createSearchCriteria(SearchCriteriaType value) {
        return new JAXBElement<SearchCriteriaType>(_SearchCriteria_QNAME, SearchCriteriaType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Float }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "Costs")
    public JAXBElement<Float> createCosts(Float value) {
        return new JAXBElement<Float>(_Costs_QNAME, Float.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "Detail")
    public JAXBElement<String> createDetail(String value) {
        return new JAXBElement<String>(_Detail_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchByExampleType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "SearchByExample")
    public JAXBElement<SearchByExampleType> createSearchByExample(SearchByExampleType value) {
        return new JAXBElement<SearchByExampleType>(_SearchByExample_QNAME, SearchByExampleType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "SearchRequestId")
    public JAXBElement<String> createSearchRequestId(String value) {
        return new JAXBElement<String>(_SearchRequestId_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResultCriteriaType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "ResultCriteria")
    public JAXBElement<ResultCriteriaType> createResultCriteria(ResultCriteriaType value) {
        return new JAXBElement<ResultCriteriaType>(_ResultCriteria_QNAME, ResultCriteriaType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "ReturnedRecords")
    public JAXBElement<BigInteger> createReturnedRecords(BigInteger value) {
        return new JAXBElement<BigInteger>(_ReturnedRecords_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "AccountedUnits")
    public JAXBElement<BigInteger> createAccountedUnits(BigInteger value) {
        return new JAXBElement<BigInteger>(_AccountedUnits_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "SearchResponse")
    public JAXBElement<SearchResponseType> createSearchResponse(SearchResponseType value) {
        return new JAXBElement<SearchResponseType>(_SearchResponse_QNAME, SearchResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "FoundRecords")
    public JAXBElement<BigInteger> createFoundRecords(BigInteger value) {
        return new JAXBElement<BigInteger>(_FoundRecords_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "StartRecord")
    public JAXBElement<BigInteger> createStartRecord(BigInteger value) {
        return new JAXBElement<BigInteger>(_StartRecord_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "Ascending")
    public JAXBElement<Boolean> createAscending(Boolean value) {
        return new JAXBElement<Boolean>(_Ascending_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "TimeStamp")
    public JAXBElement<XMLGregorianCalendar> createTimeStamp(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_TimeStamp_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "TimeOut")
    public JAXBElement<BigInteger> createTimeOut(BigInteger value) {
        return new JAXBElement<BigInteger>(_TimeOut_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "InvoiceId")
    public JAXBElement<String> createInvoiceId(String value) {
        return new JAXBElement<String>(_InvoiceId_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CustomFaultType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "Message")
    public JAXBElement<CustomFaultType> createMessage(CustomFaultType value) {
        return new JAXBElement<CustomFaultType>(_Message_QNAME, CustomFaultType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "MaxRecords")
    public JAXBElement<BigInteger> createMaxRecords(BigInteger value) {
        return new JAXBElement<BigInteger>(_MaxRecords_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SortKeysType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "SortKeys")
    public JAXBElement<SortKeysType> createSortKeys(SortKeysType value) {
        return new JAXBElement<SortKeysType>(_SortKeys_QNAME, SortKeysType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchByIdType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "SearchById")
    public JAXBElement<SearchByIdType> createSearchById(SearchByIdType value) {
        return new JAXBElement<SearchByIdType>(_SearchById_QNAME, SearchByIdType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResultInfoType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "ResultInfo")
    public JAXBElement<ResultInfoType> createResultInfo(ResultInfoType value) {
        return new JAXBElement<ResultInfoType>(_ResultInfo_QNAME, ResultInfoType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PaymentInfoType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/xml-sw/1#", name = "PaymentInfo")
    public JAXBElement<PaymentInfoType> createPaymentInfo(PaymentInfoType value) {
        return new JAXBElement<PaymentInfoType>(_PaymentInfo_QNAME, PaymentInfoType.class, null, value);
    }

}
