
package at.gv.util.xsd.ur_V2.xmlsw;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für ResultInfoType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ResultInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}ResultSetId" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}FoundRecords" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}ReturnedRecords"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}PaymentInfo" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}ExtraResultInfo" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ResultInfoType", propOrder = {
    "resultSetId",
    "foundRecords",
    "returnedRecords",
    "paymentInfo",
    "extraResultInfo"
})
public class ResultInfoType {

    @XmlElement(name = "ResultSetId")
    protected String resultSetId;
    @XmlElement(name = "FoundRecords")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger foundRecords;
    @XmlElement(name = "ReturnedRecords", required = true)
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger returnedRecords;
    @XmlElement(name = "PaymentInfo")
    protected PaymentInfoType paymentInfo;
    @XmlElement(name = "ExtraResultInfo")
    protected ExtraResultInfo extraResultInfo;

    /**
     * Ruft den Wert der resultSetId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResultSetId() {
        return resultSetId;
    }

    /**
     * Legt den Wert der resultSetId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResultSetId(String value) {
        this.resultSetId = value;
    }

    /**
     * Ruft den Wert der foundRecords-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getFoundRecords() {
        return foundRecords;
    }

    /**
     * Legt den Wert der foundRecords-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setFoundRecords(BigInteger value) {
        this.foundRecords = value;
    }

    /**
     * Ruft den Wert der returnedRecords-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getReturnedRecords() {
        return returnedRecords;
    }

    /**
     * Legt den Wert der returnedRecords-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setReturnedRecords(BigInteger value) {
        this.returnedRecords = value;
    }

    /**
     * Ruft den Wert der paymentInfo-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PaymentInfoType }
     *     
     */
    public PaymentInfoType getPaymentInfo() {
        return paymentInfo;
    }

    /**
     * Legt den Wert der paymentInfo-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PaymentInfoType }
     *     
     */
    public void setPaymentInfo(PaymentInfoType value) {
        this.paymentInfo = value;
    }

    /**
     * Ruft den Wert der extraResultInfo-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ExtraResultInfo }
     *     
     */
    public ExtraResultInfo getExtraResultInfo() {
        return extraResultInfo;
    }

    /**
     * Legt den Wert der extraResultInfo-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ExtraResultInfo }
     *     
     */
    public void setExtraResultInfo(ExtraResultInfo value) {
        this.extraResultInfo = value;
    }

}
