
package at.gv.util.xsd.ur_V5.pd;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ur_V5.search.FunktionVollzug;
import at.gv.util.xsd.ur_V5.search.RechtstatsachenVollzug;
import at.gv.util.xsd.ur_V5.simpletypes.EvbStatusTyp;


/**
 * <p>Java-Klasse für ZusatzdatenPersonenTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ZusatzdatenPersonenTyp">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}EvbStatus" minOccurs="0"/>
 *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Funktion" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}Rechtstatsachen" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ZusatzdatenPersonenTyp", propOrder = {
    "evbStatus",
    "funktion",
    "rechtstatsachen"
})
public class ZusatzdatenPersonenTyp {

    @XmlElement(name = "EvbStatus", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
    @XmlSchemaType(name = "string")
    protected EvbStatusTyp evbStatus;
    @XmlElement(name = "Funktion", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
    protected List<FunktionVollzug> funktion;
    @XmlElement(name = "Rechtstatsachen", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
    protected List<RechtstatsachenVollzug> rechtstatsachen;

    /**
     * Ruft den Wert der evbStatus-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link EvbStatusTyp }
     *     
     */
    public EvbStatusTyp getEvbStatus() {
        return evbStatus;
    }

    /**
     * Legt den Wert der evbStatus-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link EvbStatusTyp }
     *     
     */
    public void setEvbStatus(EvbStatusTyp value) {
        this.evbStatus = value;
    }

    /**
     * Gets the value of the funktion property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the funktion property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFunktion().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FunktionVollzug }
     * 
     * 
     */
    public List<FunktionVollzug> getFunktion() {
        if (funktion == null) {
            funktion = new ArrayList<FunktionVollzug>();
        }
        return this.funktion;
    }

    /**
     * Gets the value of the rechtstatsachen property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rechtstatsachen property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRechtstatsachen().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RechtstatsachenVollzug }
     * 
     * 
     */
    public List<RechtstatsachenVollzug> getRechtstatsachen() {
        if (rechtstatsachen == null) {
            rechtstatsachen = new ArrayList<RechtstatsachenVollzug>();
        }
        return this.rechtstatsachen;
    }

}
