
package at.gv.util.xsd.ur_V5.search;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ur_V5.simpletypes.OenaceArtTyp;


/**
 * <p>Java-Klasse für Branche complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="Branche">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Oenace" type="{http://statistik.at/namespace/ur/stammdaten/4#}OenaceType"/>
 *         &lt;element name="OenaceText" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Beginn" type="{http://statistik.at/namespace/ur/stammdaten/4#}QuellenType"/>
 *         &lt;element name="Ende" type="{http://statistik.at/namespace/ur/stammdaten/4#}QuellenType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="art" use="required" type="{http://statistik.at/namespace/ur/simpleTypes/2#}OenaceArtTyp" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Branche", propOrder = {
    "oenace",
    "oenaceText",
    "beginn",
    "ende"
})
public class Branche {

    @XmlElement(name = "Oenace", required = true)
    protected OenaceType oenace;
    @XmlElement(name = "OenaceText", required = true)
    protected String oenaceText;
    @XmlElement(name = "Beginn", required = true)
    protected QuellenType beginn;
    @XmlElement(name = "Ende")
    protected QuellenType ende;
    @XmlAttribute(name = "art", required = true)
    protected OenaceArtTyp art;

    /**
     * Ruft den Wert der oenace-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link OenaceType }
     *     
     */
    public OenaceType getOenace() {
        return oenace;
    }

    /**
     * Legt den Wert der oenace-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link OenaceType }
     *     
     */
    public void setOenace(OenaceType value) {
        this.oenace = value;
    }

    /**
     * Ruft den Wert der oenaceText-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOenaceText() {
        return oenaceText;
    }

    /**
     * Legt den Wert der oenaceText-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOenaceText(String value) {
        this.oenaceText = value;
    }

    /**
     * Ruft den Wert der beginn-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link QuellenType }
     *     
     */
    public QuellenType getBeginn() {
        return beginn;
    }

    /**
     * Legt den Wert der beginn-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link QuellenType }
     *     
     */
    public void setBeginn(QuellenType value) {
        this.beginn = value;
    }

    /**
     * Ruft den Wert der ende-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link QuellenType }
     *     
     */
    public QuellenType getEnde() {
        return ende;
    }

    /**
     * Legt den Wert der ende-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link QuellenType }
     *     
     */
    public void setEnde(QuellenType value) {
        this.ende = value;
    }

    /**
     * Ruft den Wert der art-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link OenaceArtTyp }
     *     
     */
    public OenaceArtTyp getArt() {
        return art;
    }

    /**
     * Legt den Wert der art-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link OenaceArtTyp }
     *     
     */
    public void setArt(OenaceArtTyp value) {
        this.art = value;
    }

}
