
package at.gv.util.xsd.ur_V5.search;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;
import at.gv.util.xsd.ur_V5.simpletypes.AdressTyp;
import at.gv.util.xsd.ur_V5.simpletypes.EvbStatusTyp;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.ur_V5.search package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Bestandsnachweis_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Bestandsnachweis");
    private final static QName _SucheUnternehmenNachIdRequest_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "SucheUnternehmenNachIdRequest");
    private final static QName _Bestandszeitraum_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Bestandszeitraum");
    private final static QName _Vertretung_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Vertretung");
    private final static QName _EvbStatus_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "EvbStatus");
    private final static QName _TypeText_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "TypeText");
    private final static QName _SucheUnternehmenNachBpkRequest_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "SucheUnternehmenNachBpkRequest");
    private final static QName _Funktion_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Funktion");
    private final static QName _Taetigkeitszeitraum_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Taetigkeitszeitraum");
    private final static QName _SucheUnternehmenNachAendDatRequest_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "SucheUnternehmenNachAendDatRequest");
    private final static QName _UntName_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "UntName");
    private final static QName _SucheUnternehmenRequest_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "SucheUnternehmenRequest");
    private final static QName _URVPdf_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "URV_pdf");
    private final static QName _Dubletten_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Dubletten");
    private final static QName _Typ_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Typ");
    private final static QName _Rechtsform_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Rechtsform");
    private final static QName _Rechtstatsachen_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Rechtstatsachen");
    private final static QName _Ende_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Ende");
    private final static QName _Branche_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Branche");
    private final static QName _Gesperrt_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Gesperrt");
    private final static QName _Beginn_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Beginn");
    private final static QName _Vollzug_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "Vollzug");
    private final static QName _AendDat_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "AendDat");
    private final static QName _BpkWTUR_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "bpkWTUR");
    private final static QName _ErsbAttribute_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "ErsbAttribute");
    private final static QName _SucheUnternehmenNachIdsRequest_QNAME = new QName("http://statistik.at/namespace/ur/stammdaten/4#", "SucheUnternehmenNachIdsRequest");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.ur_V5.search
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link QuellenType }
     * 
     */
    public QuellenType createQuellenType() {
        return new QuellenType();
    }

    /**
     * Create an instance of {@link SucheUnternehmenNachBpkRequest }
     * 
     */
    public SucheUnternehmenNachBpkRequest createSucheUnternehmenNachBpkRequest() {
        return new SucheUnternehmenNachBpkRequest();
    }

    /**
     * Create an instance of {@link Dubletten }
     * 
     */
    public Dubletten createDubletten() {
        return new Dubletten();
    }

    /**
     * Create an instance of {@link RechtsformVollzug }
     * 
     */
    public RechtsformVollzug createRechtsformVollzug() {
        return new RechtsformVollzug();
    }

    /**
     * Create an instance of {@link RechtstatsachenVollzug }
     * 
     */
    public RechtstatsachenVollzug createRechtstatsachenVollzug() {
        return new RechtstatsachenVollzug();
    }

    /**
     * Create an instance of {@link BestandszeitraumVollzug }
     * 
     */
    public BestandszeitraumVollzug createBestandszeitraumVollzug() {
        return new BestandszeitraumVollzug();
    }

    /**
     * Create an instance of {@link VertretungVollzug }
     * 
     */
    public VertretungVollzug createVertretungVollzug() {
        return new VertretungVollzug();
    }

    /**
     * Create an instance of {@link BestandsnachweisVollzug }
     * 
     */
    public BestandsnachweisVollzug createBestandsnachweisVollzug() {
        return new BestandsnachweisVollzug();
    }

    /**
     * Create an instance of {@link SucheUnternehmenNachIdRequest }
     * 
     */
    public SucheUnternehmenNachIdRequest createSucheUnternehmenNachIdRequest() {
        return new SucheUnternehmenNachIdRequest();
    }

    /**
     * Create an instance of {@link SucheUnternehmenRequest }
     * 
     */
    public SucheUnternehmenRequest createSucheUnternehmenRequest() {
        return new SucheUnternehmenRequest();
    }

    /**
     * Create an instance of {@link UntNameVollzug }
     * 
     */
    public UntNameVollzug createUntNameVollzug() {
        return new UntNameVollzug();
    }

    /**
     * Create an instance of {@link SucheUnternehmenNachIdsRequest }
     * 
     */
    public SucheUnternehmenNachIdsRequest createSucheUnternehmenNachIdsRequest() {
        return new SucheUnternehmenNachIdsRequest();
    }

    /**
     * Create an instance of {@link SucheUnternehmenNachAendDatRequest }
     * 
     */
    public SucheUnternehmenNachAendDatRequest createSucheUnternehmenNachAendDatRequest() {
        return new SucheUnternehmenNachAendDatRequest();
    }

    /**
     * Create an instance of {@link Branche }
     * 
     */
    public Branche createBranche() {
        return new Branche();
    }

    /**
     * Create an instance of {@link Vollzug }
     * 
     */
    public Vollzug createVollzug() {
        return new Vollzug();
    }

    /**
     * Create an instance of {@link FunktionVollzug }
     * 
     */
    public FunktionVollzug createFunktionVollzug() {
        return new FunktionVollzug();
    }

    /**
     * Create an instance of {@link TaetigkeitszeitraumVollzug }
     * 
     */
    public TaetigkeitszeitraumVollzug createTaetigkeitszeitraumVollzug() {
        return new TaetigkeitszeitraumVollzug();
    }

    /**
     * Create an instance of {@link SucheUnternehmensdaten }
     * 
     */
    public SucheUnternehmensdaten createSucheUnternehmensdaten() {
        return new SucheUnternehmensdaten();
    }

    /**
     * Create an instance of {@link OenaceType }
     * 
     */
    public OenaceType createOenaceType() {
        return new OenaceType();
    }

    /**
     * Create an instance of {@link VollzugElem }
     * 
     */
    public VollzugElem createVollzugElem() {
        return new VollzugElem();
    }

    /**
     * Create an instance of {@link SucheBranche }
     * 
     */
    public SucheBranche createSucheBranche() {
        return new SucheBranche();
    }

    /**
     * Create an instance of {@link FktRegelTypVollzug }
     * 
     */
    public FktRegelTypVollzug createFktRegelTypVollzug() {
        return new FktRegelTypVollzug();
    }

    /**
     * Create an instance of {@link SuchePersonendaten }
     * 
     */
    public SuchePersonendaten createSuchePersonendaten() {
        return new SuchePersonendaten();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BestandsnachweisVollzug }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Bestandsnachweis")
    public JAXBElement<BestandsnachweisVollzug> createBestandsnachweis(BestandsnachweisVollzug value) {
        return new JAXBElement<BestandsnachweisVollzug>(_Bestandsnachweis_QNAME, BestandsnachweisVollzug.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SucheUnternehmenNachIdRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "SucheUnternehmenNachIdRequest")
    public JAXBElement<SucheUnternehmenNachIdRequest> createSucheUnternehmenNachIdRequest(SucheUnternehmenNachIdRequest value) {
        return new JAXBElement<SucheUnternehmenNachIdRequest>(_SucheUnternehmenNachIdRequest_QNAME, SucheUnternehmenNachIdRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BestandszeitraumVollzug }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Bestandszeitraum")
    public JAXBElement<BestandszeitraumVollzug> createBestandszeitraum(BestandszeitraumVollzug value) {
        return new JAXBElement<BestandszeitraumVollzug>(_Bestandszeitraum_QNAME, BestandszeitraumVollzug.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VertretungVollzug }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Vertretung")
    public JAXBElement<VertretungVollzug> createVertretung(VertretungVollzug value) {
        return new JAXBElement<VertretungVollzug>(_Vertretung_QNAME, VertretungVollzug.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EvbStatusTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "EvbStatus")
    public JAXBElement<EvbStatusTyp> createEvbStatus(EvbStatusTyp value) {
        return new JAXBElement<EvbStatusTyp>(_EvbStatus_QNAME, EvbStatusTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "TypeText")
    public JAXBElement<String> createTypeText(String value) {
        return new JAXBElement<String>(_TypeText_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SucheUnternehmenNachBpkRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "SucheUnternehmenNachBpkRequest")
    public JAXBElement<SucheUnternehmenNachBpkRequest> createSucheUnternehmenNachBpkRequest(SucheUnternehmenNachBpkRequest value) {
        return new JAXBElement<SucheUnternehmenNachBpkRequest>(_SucheUnternehmenNachBpkRequest_QNAME, SucheUnternehmenNachBpkRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FunktionVollzug }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Funktion")
    public JAXBElement<FunktionVollzug> createFunktion(FunktionVollzug value) {
        return new JAXBElement<FunktionVollzug>(_Funktion_QNAME, FunktionVollzug.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TaetigkeitszeitraumVollzug }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Taetigkeitszeitraum")
    public JAXBElement<TaetigkeitszeitraumVollzug> createTaetigkeitszeitraum(TaetigkeitszeitraumVollzug value) {
        return new JAXBElement<TaetigkeitszeitraumVollzug>(_Taetigkeitszeitraum_QNAME, TaetigkeitszeitraumVollzug.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SucheUnternehmenNachAendDatRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "SucheUnternehmenNachAendDatRequest")
    public JAXBElement<SucheUnternehmenNachAendDatRequest> createSucheUnternehmenNachAendDatRequest(SucheUnternehmenNachAendDatRequest value) {
        return new JAXBElement<SucheUnternehmenNachAendDatRequest>(_SucheUnternehmenNachAendDatRequest_QNAME, SucheUnternehmenNachAendDatRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UntNameVollzug }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "UntName")
    public JAXBElement<UntNameVollzug> createUntName(UntNameVollzug value) {
        return new JAXBElement<UntNameVollzug>(_UntName_QNAME, UntNameVollzug.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SucheUnternehmenRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "SucheUnternehmenRequest")
    public JAXBElement<SucheUnternehmenRequest> createSucheUnternehmenRequest(SucheUnternehmenRequest value) {
        return new JAXBElement<SucheUnternehmenRequest>(_SucheUnternehmenRequest_QNAME, SucheUnternehmenRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "URV_pdf")
    public JAXBElement<byte[]> createURVPdf(byte[] value) {
        return new JAXBElement<byte[]>(_URVPdf_QNAME, byte[].class, null, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Dubletten }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Dubletten")
    public JAXBElement<Dubletten> createDubletten(Dubletten value) {
        return new JAXBElement<Dubletten>(_Dubletten_QNAME, Dubletten.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AdressTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Typ")
    public JAXBElement<AdressTyp> createTyp(AdressTyp value) {
        return new JAXBElement<AdressTyp>(_Typ_QNAME, AdressTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RechtsformVollzug }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Rechtsform")
    public JAXBElement<RechtsformVollzug> createRechtsform(RechtsformVollzug value) {
        return new JAXBElement<RechtsformVollzug>(_Rechtsform_QNAME, RechtsformVollzug.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RechtstatsachenVollzug }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Rechtstatsachen")
    public JAXBElement<RechtstatsachenVollzug> createRechtstatsachen(RechtstatsachenVollzug value) {
        return new JAXBElement<RechtstatsachenVollzug>(_Rechtstatsachen_QNAME, RechtstatsachenVollzug.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QuellenType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Ende")
    public JAXBElement<QuellenType> createEnde(QuellenType value) {
        return new JAXBElement<QuellenType>(_Ende_QNAME, QuellenType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Branche }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Branche")
    public JAXBElement<Branche> createBranche(Branche value) {
        return new JAXBElement<Branche>(_Branche_QNAME, Branche.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Gesperrt")
    public JAXBElement<Boolean> createGesperrt(Boolean value) {
        return new JAXBElement<Boolean>(_Gesperrt_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QuellenType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Beginn")
    public JAXBElement<QuellenType> createBeginn(QuellenType value) {
        return new JAXBElement<QuellenType>(_Beginn_QNAME, QuellenType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Vollzug }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "Vollzug")
    public JAXBElement<Vollzug> createVollzug(Vollzug value) {
        return new JAXBElement<Vollzug>(_Vollzug_QNAME, Vollzug.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "AendDat")
    public JAXBElement<XMLGregorianCalendar> createAendDat(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_AendDat_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "bpkWTUR")
    public JAXBElement<String> createBpkWTUR(String value) {
        return new JAXBElement<String>(_BpkWTUR_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "ErsbAttribute", defaultValue = "false")
    public JAXBElement<Boolean> createErsbAttribute(Boolean value) {
        return new JAXBElement<Boolean>(_ErsbAttribute_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SucheUnternehmenNachIdsRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ur/stammdaten/4#", name = "SucheUnternehmenNachIdsRequest")
    public JAXBElement<SucheUnternehmenNachIdsRequest> createSucheUnternehmenNachIdsRequest(SucheUnternehmenNachIdsRequest value) {
        return new JAXBElement<SucheUnternehmenNachIdsRequest>(_SucheUnternehmenNachIdsRequest_QNAME, SucheUnternehmenNachIdsRequest.class, null, value);
    }

}
