
package at.gv.util.xsd.ur_V5.xmlsw;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ur_V5.pd.PersonenDatenTyp;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}PersonenDaten"/>
 *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/4#}URV_pdf" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "personenDaten",
    "urvPdf"
})
@XmlRootElement(name = "ResultRecord")
public class ResultRecord {

    @XmlElement(name = "PersonenDaten", namespace = "http://reference.e-government.gv.at/namespace/persondata/de/20040201#", required = true)
    protected PersonenDatenTyp personenDaten;
    @XmlElement(name = "URV_pdf", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
    protected byte[] urvPdf;
    @XmlAttribute(name = "id")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger id;

    /**
     * Ruft den Wert der personenDaten-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PersonenDatenTyp }
     *     
     */
    public PersonenDatenTyp getPersonenDaten() {
        return personenDaten;
    }

    /**
     * Legt den Wert der personenDaten-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonenDatenTyp }
     *     
     */
    public void setPersonenDaten(PersonenDatenTyp value) {
        this.personenDaten = value;
    }

    /**
     * Ruft den Wert der urvPdf-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getURVPdf() {
        return urvPdf;
    }

    /**
     * Legt den Wert der urvPdf-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setURVPdf(byte[] value) {
        this.urvPdf = value;
    }

    /**
     * Ruft den Wert der id-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getId() {
        return id;
    }

    /**
     * Legt den Wert der id-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setId(BigInteger value) {
        this.id = value;
    }

}
