
package at.gv.util.xsd.zkopf;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import at.gv.util.xsd.zkopf.persondata.CorporateBodyType;
import at.gv.util.xsd.zkopf.persondata.IdentificationType;
import at.gv.util.xsd.zkopf.persondata.PhysicalPersonType;
import at.gv.util.xsd.zkopf.persondata.PostalAddressType;


/**
 * <p>Java class for QueryType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="QueryType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="gvZbPK" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *           &lt;element name="Identification" type="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}IdentificationType"/>
 *         &lt;/choice>
 *         &lt;sequence>
 *           &lt;choice>
 *             &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}CorporateBody"/>
 *             &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}PhysicalPerson"/>
 *           &lt;/choice>
 *           &lt;choice minOccurs="0">
 *             &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}PostalAddress"/>
 *             &lt;element name="VerAddress" type="{http://reference.e-government.gv.at/namespaces/zustellung/kopf}messagingaddressType"/>
 *           &lt;/choice>
 *         &lt;/sequence>
 *       &lt;/choice>
 *       &lt;attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}token" />
 *       &lt;attribute name="ProfileID" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "QueryType", propOrder = {
    "gvZbPK",
    "identification",
    "corporateBody",
    "physicalPerson",
    "postalAddress",
    "verAddress"
})
public class QueryType {

    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String gvZbPK;
    @XmlElement(name = "Identification")
    protected IdentificationType identification;
    @XmlElement(name = "CorporateBody", namespace = "http://reference.e-government.gv.at/namespace/persondata/en/20040201#")
    protected CorporateBodyType corporateBody;
    @XmlElement(name = "PhysicalPerson", namespace = "http://reference.e-government.gv.at/namespace/persondata/en/20040201#")
    protected PhysicalPersonType physicalPerson;
    @XmlElement(name = "PostalAddress", namespace = "http://reference.e-government.gv.at/namespace/persondata/en/20040201#")
    protected PostalAddressType postalAddress;
    @XmlElement(name = "VerAddress")
    protected MessagingaddressType verAddress;
    @XmlAttribute(name = "ID")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String id;
    @XmlAttribute(name = "ProfileID")
    @XmlSchemaType(name = "anySimpleType")
    protected String profileID;

    /**
     * Gets the value of the gvZbPK property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGvZbPK() {
        return gvZbPK;
    }

    /**
     * Sets the value of the gvZbPK property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGvZbPK(String value) {
        this.gvZbPK = value;
    }

    /**
     * Gets the value of the identification property.
     * 
     * @return
     *     possible object is
     *     {@link IdentificationType }
     *     
     */
    public IdentificationType getIdentification() {
        return identification;
    }

    /**
     * Sets the value of the identification property.
     * 
     * @param value
     *     allowed object is
     *     {@link IdentificationType }
     *     
     */
    public void setIdentification(IdentificationType value) {
        this.identification = value;
    }

    /**
     * Gets the value of the corporateBody property.
     * 
     * @return
     *     possible object is
     *     {@link CorporateBodyType }
     *     
     */
    public CorporateBodyType getCorporateBody() {
        return corporateBody;
    }

    /**
     * Sets the value of the corporateBody property.
     * 
     * @param value
     *     allowed object is
     *     {@link CorporateBodyType }
     *     
     */
    public void setCorporateBody(CorporateBodyType value) {
        this.corporateBody = value;
    }

    /**
     * Gets the value of the physicalPerson property.
     * 
     * @return
     *     possible object is
     *     {@link PhysicalPersonType }
     *     
     */
    public PhysicalPersonType getPhysicalPerson() {
        return physicalPerson;
    }

    /**
     * Sets the value of the physicalPerson property.
     * 
     * @param value
     *     allowed object is
     *     {@link PhysicalPersonType }
     *     
     */
    public void setPhysicalPerson(PhysicalPersonType value) {
        this.physicalPerson = value;
    }

    /**
     * Gets the value of the postalAddress property.
     * 
     * @return
     *     possible object is
     *     {@link PostalAddressType }
     *     
     */
    public PostalAddressType getPostalAddress() {
        return postalAddress;
    }

    /**
     * Sets the value of the postalAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link PostalAddressType }
     *     
     */
    public void setPostalAddress(PostalAddressType value) {
        this.postalAddress = value;
    }

    /**
     * Gets the value of the verAddress property.
     * 
     * @return
     *     possible object is
     *     {@link MessagingaddressType }
     *     
     */
    public MessagingaddressType getVerAddress() {
        return verAddress;
    }

    /**
     * Sets the value of the verAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link MessagingaddressType }
     *     
     */
    public void setVerAddress(MessagingaddressType value) {
        this.verAddress = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getID() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setID(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the profileID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProfileID() {
        return profileID;
    }

    /**
     * Sets the value of the profileID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProfileID(String value) {
        this.profileID = value;
    }

}
