
package at.gv.util.xsd.zkopf.persondata;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * phone numbers
 * 
 * <p>Java class for TelephoneAddressType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TelephoneAddressType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}AbstractAddressType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="Number" type="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}TelcomNumberType"/>
 *       &lt;/sequence>
 *       &lt;anyAttribute namespace='##other'/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TelephoneAddressType", propOrder = {
    "number"
})
public class TelephoneAddressType
    extends AbstractAddressType
{

    @XmlElement(name = "Number")
    protected TelcomNumberType number;

    /**
     * Gets the value of the number property.
     * 
     * @return
     *     possible object is
     *     {@link TelcomNumberType }
     *     
     */
    public TelcomNumberType getNumber() {
        return number;
    }

    /**
     * Sets the value of the number property.
     * 
     * @param value
     *     allowed object is
     *     {@link TelcomNumberType }
     *     
     */
    public void setNumber(TelcomNumberType value) {
        this.number = value;
    }

}
