
package at.gv.util.xsd.ersb;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.ersb package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ErsbResponse_QNAME = new QName("http://statistik.at/namespace/ersb/1#", "ErsbResponse");
    private final static QName _Rechtsform_QNAME = new QName("http://statistik.at/namespace/ersb/1#", "Rechtsform");
    private final static QName _Rechtstatsachen_QNAME = new QName("http://statistik.at/namespace/ersb/1#", "Rechtstatsachen");
    private final static QName _Ende_QNAME = new QName("http://statistik.at/namespace/ersb/1#", "Ende");
    private final static QName _Bestandsnachweis_QNAME = new QName("http://statistik.at/namespace/ersb/1#", "Bestandsnachweis");
    private final static QName _Bestandszeitraum_QNAME = new QName("http://statistik.at/namespace/ersb/1#", "Bestandszeitraum");
    private final static QName _Vertretung_QNAME = new QName("http://statistik.at/namespace/ersb/1#", "Vertretung");
    private final static QName _UntName_QNAME = new QName("http://statistik.at/namespace/ersb/1#", "UntName");
    private final static QName _Funktion_QNAME = new QName("http://statistik.at/namespace/ersb/1#", "Funktion");
    private final static QName _Beginn_QNAME = new QName("http://statistik.at/namespace/ersb/1#", "Beginn");
    private final static QName _ErsbRequest_QNAME = new QName("http://statistik.at/namespace/ersb/1#", "ErsbRequest");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.ersb
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ErsbRequest }
     * 
     */
    public ErsbRequest createErsbRequest() {
        return new ErsbRequest();
    }

    /**
     * Create an instance of {@link BestandszeitraumErsb }
     * 
     */
    public BestandszeitraumErsb createBestandszeitraumErsb() {
        return new BestandszeitraumErsb();
    }

    /**
     * Create an instance of {@link VertretungErsb }
     * 
     */
    public VertretungErsb createVertretungErsb() {
        return new VertretungErsb();
    }

    /**
     * Create an instance of {@link UntNameErsb }
     * 
     */
    public UntNameErsb createUntNameErsb() {
        return new UntNameErsb();
    }

    /**
     * Create an instance of {@link BestandsnachweisErsb }
     * 
     */
    public BestandsnachweisErsb createBestandsnachweisErsb() {
        return new BestandsnachweisErsb();
    }

    /**
     * Create an instance of {@link ErsbResponse }
     * 
     */
    public ErsbResponse createErsbResponse() {
        return new ErsbResponse();
    }

    /**
     * Create an instance of {@link FunktionErsb }
     * 
     */
    public FunktionErsb createFunktionErsb() {
        return new FunktionErsb();
    }

    /**
     * Create an instance of {@link RechtsformErsb }
     * 
     */
    public RechtsformErsb createRechtsformErsb() {
        return new RechtsformErsb();
    }

    /**
     * Create an instance of {@link RechtstatsachenErsb }
     * 
     */
    public RechtstatsachenErsb createRechtstatsachenErsb() {
        return new RechtstatsachenErsb();
    }

    /**
     * Create an instance of {@link FktRegelTypErsb }
     * 
     */
    public FktRegelTypErsb createFktRegelTypErsb() {
        return new FktRegelTypErsb();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErsbResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ersb/1#", name = "ErsbResponse")
    public JAXBElement<ErsbResponse> createErsbResponse(ErsbResponse value) {
        return new JAXBElement<ErsbResponse>(_ErsbResponse_QNAME, ErsbResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RechtsformErsb }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ersb/1#", name = "Rechtsform")
    public JAXBElement<RechtsformErsb> createRechtsform(RechtsformErsb value) {
        return new JAXBElement<RechtsformErsb>(_Rechtsform_QNAME, RechtsformErsb.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RechtstatsachenErsb }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ersb/1#", name = "Rechtstatsachen")
    public JAXBElement<RechtstatsachenErsb> createRechtstatsachen(RechtstatsachenErsb value) {
        return new JAXBElement<RechtstatsachenErsb>(_Rechtstatsachen_QNAME, RechtstatsachenErsb.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ersb/1#", name = "Ende")
    public JAXBElement<XMLGregorianCalendar> createEnde(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_Ende_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BestandsnachweisErsb }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ersb/1#", name = "Bestandsnachweis")
    public JAXBElement<BestandsnachweisErsb> createBestandsnachweis(BestandsnachweisErsb value) {
        return new JAXBElement<BestandsnachweisErsb>(_Bestandsnachweis_QNAME, BestandsnachweisErsb.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BestandszeitraumErsb }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ersb/1#", name = "Bestandszeitraum")
    public JAXBElement<BestandszeitraumErsb> createBestandszeitraum(BestandszeitraumErsb value) {
        return new JAXBElement<BestandszeitraumErsb>(_Bestandszeitraum_QNAME, BestandszeitraumErsb.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VertretungErsb }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ersb/1#", name = "Vertretung")
    public JAXBElement<VertretungErsb> createVertretung(VertretungErsb value) {
        return new JAXBElement<VertretungErsb>(_Vertretung_QNAME, VertretungErsb.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UntNameErsb }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ersb/1#", name = "UntName")
    public JAXBElement<UntNameErsb> createUntName(UntNameErsb value) {
        return new JAXBElement<UntNameErsb>(_UntName_QNAME, UntNameErsb.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FunktionErsb }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ersb/1#", name = "Funktion")
    public JAXBElement<FunktionErsb> createFunktion(FunktionErsb value) {
        return new JAXBElement<FunktionErsb>(_Funktion_QNAME, FunktionErsb.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ersb/1#", name = "Beginn")
    public JAXBElement<XMLGregorianCalendar> createBeginn(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_Beginn_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErsbRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://statistik.at/namespace/ersb/1#", name = "ErsbRequest")
    public JAXBElement<ErsbRequest> createErsbRequest(ErsbRequest value) {
        return new JAXBElement<ErsbRequest>(_ErsbRequest_QNAME, ErsbRequest.class, null, value);
    }

}
