
package at.gv.util.xsd.ersb.personendata1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * entspricht PhysicalPersonType
 * 
 * <p>Java-Klasse für NatuerlichePersonTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="NatuerlichePersonTyp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://statistik.at/namespace/ersb/persondata/1#}AbstractPersonType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{http://statistik.at/namespace/ersb/persondata/1#}PersonenName" minOccurs="0"/>
 *         &lt;element ref="{http://statistik.at/namespace/ersb/persondata/1#}Geburtsdatum" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{http://statistik.at/namespace/ersb/1#}ErsbAttributes"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NatuerlichePersonTyp", propOrder = {
    "personenName",
    "geburtsdatum"
})
public class NatuerlichePersonTyp
    extends AbstractPersonType
{

    @XmlElement(name = "PersonenName")
    protected PersonenNameTyp personenName;
    @XmlElement(name = "Geburtsdatum")
    @XmlSchemaType(name = "anySimpleType")
    protected String geburtsdatum;
    @XmlAttribute(name = "aktion", namespace = "http://statistik.at/namespace/ersb/1#")
    protected String aktion;

    /**
     * Ruft den Wert der personenName-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PersonenNameTyp }
     *     
     */
    public PersonenNameTyp getPersonenName() {
        return personenName;
    }

    /**
     * Legt den Wert der personenName-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonenNameTyp }
     *     
     */
    public void setPersonenName(PersonenNameTyp value) {
        this.personenName = value;
    }

    /**
     * Ruft den Wert der geburtsdatum-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGeburtsdatum() {
        return geburtsdatum;
    }

    /**
     * Legt den Wert der geburtsdatum-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGeburtsdatum(String value) {
        this.geburtsdatum = value;
    }

    /**
     * Ruft den Wert der aktion-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAktion() {
        return aktion;
    }

    /**
     * Legt den Wert der aktion-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAktion(String value) {
        this.aktion = value;
    }

}
