
package at.gv.util.xsd.ersb.personendata1;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ersb.BestandsnachweisErsb;
import at.gv.util.xsd.ersb.BestandszeitraumErsb;
import at.gv.util.xsd.ersb.RechtstatsachenErsb;
import at.gv.util.xsd.ersb.VertretungErsb;


/**
 * Container um eine Person und ihre Adressen zu speichern
 * 
 * <p>Java-Klasse für PersonenDatenTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="PersonenDatenTyp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://statistik.at/namespace/ersb/persondata/1#}AbstractPersonType">
 *       &lt;sequence>
 *         &lt;element ref="{http://statistik.at/namespace/ersb/persondata/1#}NichtNatuerlichePerson"/>
 *         &lt;element ref="{http://statistik.at/namespace/ersb/persondata/1#}TypisiertePostAdresse" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Zusatzdaten" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence minOccurs="0">
 *                   &lt;element ref="{http://statistik.at/namespace/ersb/1#}Bestandszeitraum" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ersb/1#}Bestandsnachweis" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ersb/1#}Vertretung" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ersb/1#}Rechtstatsachen" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element name="PersonenDaten" type="{http://statistik.at/namespace/ersb/persondata/1#}PersonenDatenZusatzdatenTyp" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PersonenDatenTyp", propOrder = {
    "nichtNatuerlichePerson",
    "typisiertePostAdresse",
    "zusatzdaten"
})
public class PersonenDatenTyp
    extends AbstractPersonType
{

    @XmlElement(name = "NichtNatuerlichePerson", required = true)
    protected NichtNatuerlichePersonTyp nichtNatuerlichePerson;
    @XmlElement(name = "TypisiertePostAdresse")
    protected List<TypisiertePostAdresseTyp> typisiertePostAdresse;
    @XmlElement(name = "Zusatzdaten")
    protected PersonenDatenTyp.Zusatzdaten zusatzdaten;

    /**
     * Ruft den Wert der nichtNatuerlichePerson-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link NichtNatuerlichePersonTyp }
     *     
     */
    public NichtNatuerlichePersonTyp getNichtNatuerlichePerson() {
        return nichtNatuerlichePerson;
    }

    /**
     * Legt den Wert der nichtNatuerlichePerson-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link NichtNatuerlichePersonTyp }
     *     
     */
    public void setNichtNatuerlichePerson(NichtNatuerlichePersonTyp value) {
        this.nichtNatuerlichePerson = value;
    }

    /**
     * Gets the value of the typisiertePostAdresse property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the typisiertePostAdresse property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTypisiertePostAdresse().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TypisiertePostAdresseTyp }
     * 
     * 
     */
    public List<TypisiertePostAdresseTyp> getTypisiertePostAdresse() {
        if (typisiertePostAdresse == null) {
            typisiertePostAdresse = new ArrayList<TypisiertePostAdresseTyp>();
        }
        return this.typisiertePostAdresse;
    }

    /**
     * Ruft den Wert der zusatzdaten-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PersonenDatenTyp.Zusatzdaten }
     *     
     */
    public PersonenDatenTyp.Zusatzdaten getZusatzdaten() {
        return zusatzdaten;
    }

    /**
     * Legt den Wert der zusatzdaten-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonenDatenTyp.Zusatzdaten }
     *     
     */
    public void setZusatzdaten(PersonenDatenTyp.Zusatzdaten value) {
        this.zusatzdaten = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence minOccurs="0">
     *         &lt;element ref="{http://statistik.at/namespace/ersb/1#}Bestandszeitraum" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ersb/1#}Bestandsnachweis" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ersb/1#}Vertretung" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ersb/1#}Rechtstatsachen" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element name="PersonenDaten" type="{http://statistik.at/namespace/ersb/persondata/1#}PersonenDatenZusatzdatenTyp" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "bestandszeitraum",
        "bestandsnachweis",
        "vertretung",
        "rechtstatsachen",
        "personenDaten"
    })
    public static class Zusatzdaten {

        @XmlElement(name = "Bestandszeitraum", namespace = "http://statistik.at/namespace/ersb/1#")
        protected List<BestandszeitraumErsb> bestandszeitraum;
        @XmlElement(name = "Bestandsnachweis", namespace = "http://statistik.at/namespace/ersb/1#")
        protected List<BestandsnachweisErsb> bestandsnachweis;
        @XmlElement(name = "Vertretung", namespace = "http://statistik.at/namespace/ersb/1#")
        protected List<VertretungErsb> vertretung;
        @XmlElement(name = "Rechtstatsachen", namespace = "http://statistik.at/namespace/ersb/1#")
        protected List<RechtstatsachenErsb> rechtstatsachen;
        @XmlElement(name = "PersonenDaten")
        protected List<PersonenDatenZusatzdatenTyp> personenDaten;

        /**
         * Gets the value of the bestandszeitraum property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the bestandszeitraum property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getBestandszeitraum().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link BestandszeitraumErsb }
         * 
         * 
         */
        public List<BestandszeitraumErsb> getBestandszeitraum() {
            if (bestandszeitraum == null) {
                bestandszeitraum = new ArrayList<BestandszeitraumErsb>();
            }
            return this.bestandszeitraum;
        }

        /**
         * Gets the value of the bestandsnachweis property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the bestandsnachweis property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getBestandsnachweis().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link BestandsnachweisErsb }
         * 
         * 
         */
        public List<BestandsnachweisErsb> getBestandsnachweis() {
            if (bestandsnachweis == null) {
                bestandsnachweis = new ArrayList<BestandsnachweisErsb>();
            }
            return this.bestandsnachweis;
        }

        /**
         * Gets the value of the vertretung property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the vertretung property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getVertretung().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link VertretungErsb }
         * 
         * 
         */
        public List<VertretungErsb> getVertretung() {
            if (vertretung == null) {
                vertretung = new ArrayList<VertretungErsb>();
            }
            return this.vertretung;
        }

        /**
         * Gets the value of the rechtstatsachen property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the rechtstatsachen property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRechtstatsachen().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RechtstatsachenErsb }
         * 
         * 
         */
        public List<RechtstatsachenErsb> getRechtstatsachen() {
            if (rechtstatsachen == null) {
                rechtstatsachen = new ArrayList<RechtstatsachenErsb>();
            }
            return this.rechtstatsachen;
        }

        /**
         * Gets the value of the personenDaten property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the personenDaten property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPersonenDaten().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PersonenDatenZusatzdatenTyp }
         * 
         * 
         */
        public List<PersonenDatenZusatzdatenTyp> getPersonenDaten() {
            if (personenDaten == null) {
                personenDaten = new ArrayList<PersonenDatenZusatzdatenTyp>();
            }
            return this.personenDaten;
        }

    }

}
