
package at.gv.util.xsd.ersb.personendata1;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ersb.FunktionErsb;
import at.gv.util.xsd.ersb.RechtstatsachenErsb;
import at.gv.util.xsd.ersb.simpletypes.EvbStatusTyp;


/**
 * Container um eine Person und ihre Adressen zu speichern
 * 
 * <p>Java-Klasse für PersonenDatenZusatzdatenTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="PersonenDatenZusatzdatenTyp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://statistik.at/namespace/ersb/persondata/1#}AbstractPersonType">
 *       &lt;sequence>
 *         &lt;choice minOccurs="0">
 *           &lt;element ref="{http://statistik.at/namespace/ersb/persondata/1#}NichtNatuerlichePerson"/>
 *           &lt;element ref="{http://statistik.at/namespace/ersb/persondata/1#}NatuerlichePerson"/>
 *         &lt;/choice>
 *         &lt;element ref="{http://statistik.at/namespace/ersb/persondata/1#}TypisiertePostAdresse" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Zusatzdaten" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence minOccurs="0">
 *                   &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/2#}EvbStatus" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ersb/1#}Funktion" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;element ref="{http://statistik.at/namespace/ersb/1#}Rechtstatsachen" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PersonenDatenZusatzdatenTyp", propOrder = {
    "nichtNatuerlichePerson",
    "natuerlichePerson",
    "typisiertePostAdresse",
    "zusatzdaten"
})
public class PersonenDatenZusatzdatenTyp
    extends AbstractPersonType
{

    @XmlElement(name = "NichtNatuerlichePerson")
    protected NichtNatuerlichePersonTyp nichtNatuerlichePerson;
    @XmlElement(name = "NatuerlichePerson")
    protected NatuerlichePersonTyp natuerlichePerson;
    @XmlElement(name = "TypisiertePostAdresse")
    protected List<TypisiertePostAdresseTyp> typisiertePostAdresse;
    @XmlElement(name = "Zusatzdaten")
    protected PersonenDatenZusatzdatenTyp.Zusatzdaten zusatzdaten;

    /**
     * Ruft den Wert der nichtNatuerlichePerson-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link NichtNatuerlichePersonTyp }
     *     
     */
    public NichtNatuerlichePersonTyp getNichtNatuerlichePerson() {
        return nichtNatuerlichePerson;
    }

    /**
     * Legt den Wert der nichtNatuerlichePerson-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link NichtNatuerlichePersonTyp }
     *     
     */
    public void setNichtNatuerlichePerson(NichtNatuerlichePersonTyp value) {
        this.nichtNatuerlichePerson = value;
    }

    /**
     * Ruft den Wert der natuerlichePerson-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link NatuerlichePersonTyp }
     *     
     */
    public NatuerlichePersonTyp getNatuerlichePerson() {
        return natuerlichePerson;
    }

    /**
     * Legt den Wert der natuerlichePerson-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link NatuerlichePersonTyp }
     *     
     */
    public void setNatuerlichePerson(NatuerlichePersonTyp value) {
        this.natuerlichePerson = value;
    }

    /**
     * Gets the value of the typisiertePostAdresse property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the typisiertePostAdresse property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTypisiertePostAdresse().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TypisiertePostAdresseTyp }
     * 
     * 
     */
    public List<TypisiertePostAdresseTyp> getTypisiertePostAdresse() {
        if (typisiertePostAdresse == null) {
            typisiertePostAdresse = new ArrayList<TypisiertePostAdresseTyp>();
        }
        return this.typisiertePostAdresse;
    }

    /**
     * Ruft den Wert der zusatzdaten-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PersonenDatenZusatzdatenTyp.Zusatzdaten }
     *     
     */
    public PersonenDatenZusatzdatenTyp.Zusatzdaten getZusatzdaten() {
        return zusatzdaten;
    }

    /**
     * Legt den Wert der zusatzdaten-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonenDatenZusatzdatenTyp.Zusatzdaten }
     *     
     */
    public void setZusatzdaten(PersonenDatenZusatzdatenTyp.Zusatzdaten value) {
        this.zusatzdaten = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence minOccurs="0">
     *         &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/2#}EvbStatus" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ersb/1#}Funktion" maxOccurs="unbounded" minOccurs="0"/>
     *         &lt;element ref="{http://statistik.at/namespace/ersb/1#}Rechtstatsachen" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "evbStatus",
        "funktion",
        "rechtstatsachen"
    })
    public static class Zusatzdaten {

        @XmlElement(name = "EvbStatus", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
        @XmlSchemaType(name = "string")
        protected EvbStatusTyp evbStatus;
        @XmlElement(name = "Funktion", namespace = "http://statistik.at/namespace/ersb/1#")
        protected List<FunktionErsb> funktion;
        @XmlElement(name = "Rechtstatsachen", namespace = "http://statistik.at/namespace/ersb/1#")
        protected List<RechtstatsachenErsb> rechtstatsachen;

        /**
         * Ruft den Wert der evbStatus-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link EvbStatusTyp }
         *     
         */
        public EvbStatusTyp getEvbStatus() {
            return evbStatus;
        }

        /**
         * Legt den Wert der evbStatus-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link EvbStatusTyp }
         *     
         */
        public void setEvbStatus(EvbStatusTyp value) {
            this.evbStatus = value;
        }

        /**
         * Gets the value of the funktion property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the funktion property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getFunktion().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link FunktionErsb }
         * 
         * 
         */
        public List<FunktionErsb> getFunktion() {
            if (funktion == null) {
                funktion = new ArrayList<FunktionErsb>();
            }
            return this.funktion;
        }

        /**
         * Gets the value of the rechtstatsachen property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the rechtstatsachen property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRechtstatsachen().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RechtstatsachenErsb }
         * 
         * 
         */
        public List<RechtstatsachenErsb> getRechtstatsachen() {
            if (rechtstatsachen == null) {
                rechtstatsachen = new ArrayList<RechtstatsachenErsb>();
            }
            return this.rechtstatsachen;
        }

    }

}
