
package at.gv.util.xsd.mis;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.mis package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _MandateIssueRequest_QNAME = new QName("http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd", "MandateIssueRequest");
    private final static QName _MandateIssueResponse_QNAME = new QName("http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd", "MandateIssueResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.mis
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link MandateIssueResponseType }
     * 
     */
    public MandateIssueResponseType createMandateIssueResponseType() {
        return new MandateIssueResponseType();
    }

    /**
     * Create an instance of {@link MandateIssueResponseType.Mandates }
     * 
     */
    public MandateIssueResponseType.Mandates createMandateIssueResponseTypeMandates() {
        return new MandateIssueResponseType.Mandates();
    }

    /**
     * Create an instance of {@link MandateIssueRequestType }
     * 
     */
    public MandateIssueRequestType createMandateIssueRequestType() {
        return new MandateIssueRequestType();
    }

    /**
     * Create an instance of {@link Target }
     * 
     */
    public Target createTarget() {
        return new Target();
    }

    /**
     * Create an instance of {@link MandateIdentifiers }
     * 
     */
    public MandateIdentifiers createMandateIdentifiers() {
        return new MandateIdentifiers();
    }

    /**
     * Create an instance of {@link MandateIssueResponseType.Error }
     * 
     */
    public MandateIssueResponseType.Error createMandateIssueResponseTypeError() {
        return new MandateIssueResponseType.Error();
    }

    /**
     * Create an instance of {@link MandateIssueResponseType.Mandates.Mandate }
     * 
     */
    public MandateIssueResponseType.Mandates.Mandate createMandateIssueResponseTypeMandatesMandate() {
        return new MandateIssueResponseType.Mandates.Mandate();
    }

    /**
     * Create an instance of {@link MandateIssueRequestType.Filters }
     * 
     */
    public MandateIssueRequestType.Filters createMandateIssueRequestTypeFilters() {
        return new MandateIssueRequestType.Filters();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateIssueRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd", name = "MandateIssueRequest")
    public JAXBElement<MandateIssueRequestType> createMandateIssueRequest(MandateIssueRequestType value) {
        return new JAXBElement<MandateIssueRequestType>(_MandateIssueRequest_QNAME, MandateIssueRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MandateIssueResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd", name = "MandateIssueResponse")
    public JAXBElement<MandateIssueResponseType> createMandateIssueResponse(MandateIssueResponseType value) {
        return new JAXBElement<MandateIssueResponseType>(_MandateIssueResponse_QNAME, MandateIssueResponseType.class, null, value);
    }

}
