
package at.gv.util.xsd.misstork;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import at.gv.util.xsd.mis.MandateIdentifiers;
import at.gv.util.xsd.mis.Target;
import at.gv.util.xsd.persondata.CorporateBodyType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;sequence>
 *           &lt;element name="StorkMandateType" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/misstork/20131126/xsd}MandatorType"/>
 *           &lt;element name="Filters" minOccurs="0">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd}MandateIdentifiers" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd}Target" minOccurs="0"/>
 *           &lt;element name="OAFriendlyName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;/sequence>
 *         &lt;sequence>
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/misstork/20131126/xsd}ReferenceValue"/>
 *           &lt;element name="Mandator">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;choice>
 *                     &lt;sequence>
 *                       &lt;element name="IdentityLink" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *                     &lt;/sequence>
 *                     &lt;sequence>
 *                       &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}CorporateBody"/>
 *                     &lt;/sequence>
 *                   &lt;/choice>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="Representative">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="IdentityLink" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/sequence>
 *       &lt;/choice>
 *       &lt;attribute name="reqID" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "storkMandateType",
    "mandatorType",
    "filters",
    "target",
    "oaFriendlyName",
    "referenceValue",
    "mandator",
    "representative"
})
@XmlRootElement(name = "MisStorkRequest")
public class MisStorkRequest {

    @XmlElement(name = "StorkMandateType")
    protected BigInteger storkMandateType;
    @XmlElement(name = "MandatorType")
    protected String mandatorType;
    @XmlElement(name = "Filters")
    protected MisStorkRequest.Filters filters;
    @XmlElement(name = "Target", namespace = "http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd")
    protected Target target;
    @XmlElement(name = "OAFriendlyName")
    protected String oaFriendlyName;
    @XmlElement(name = "ReferenceValue")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String referenceValue;
    @XmlElement(name = "Mandator")
    protected MisStorkRequest.Mandator mandator;
    @XmlElement(name = "Representative")
    protected MisStorkRequest.Representative representative;
    @XmlAttribute(name = "reqID")
    protected String reqID;

    /**
     * Ruft den Wert der storkMandateType-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getStorkMandateType() {
        return storkMandateType;
    }

    /**
     * Legt den Wert der storkMandateType-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setStorkMandateType(BigInteger value) {
        this.storkMandateType = value;
    }

    /**
     * Ruft den Wert der mandatorType-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMandatorType() {
        return mandatorType;
    }

    /**
     * Legt den Wert der mandatorType-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMandatorType(String value) {
        this.mandatorType = value;
    }

    /**
     * Ruft den Wert der filters-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link MisStorkRequest.Filters }
     *     
     */
    public MisStorkRequest.Filters getFilters() {
        return filters;
    }

    /**
     * Legt den Wert der filters-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link MisStorkRequest.Filters }
     *     
     */
    public void setFilters(MisStorkRequest.Filters value) {
        this.filters = value;
    }

    /**
     * Ruft den Wert der target-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Target }
     *     
     */
    public Target getTarget() {
        return target;
    }

    /**
     * Legt den Wert der target-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Target }
     *     
     */
    public void setTarget(Target value) {
        this.target = value;
    }

    /**
     * Ruft den Wert der oaFriendlyName-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOAFriendlyName() {
        return oaFriendlyName;
    }

    /**
     * Legt den Wert der oaFriendlyName-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOAFriendlyName(String value) {
        this.oaFriendlyName = value;
    }

    /**
     * Ruft den Wert der referenceValue-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReferenceValue() {
        return referenceValue;
    }

    /**
     * Legt den Wert der referenceValue-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReferenceValue(String value) {
        this.referenceValue = value;
    }

    /**
     * Ruft den Wert der mandator-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link MisStorkRequest.Mandator }
     *     
     */
    public MisStorkRequest.Mandator getMandator() {
        return mandator;
    }

    /**
     * Legt den Wert der mandator-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link MisStorkRequest.Mandator }
     *     
     */
    public void setMandator(MisStorkRequest.Mandator value) {
        this.mandator = value;
    }

    /**
     * Ruft den Wert der representative-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link MisStorkRequest.Representative }
     *     
     */
    public MisStorkRequest.Representative getRepresentative() {
        return representative;
    }

    /**
     * Legt den Wert der representative-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link MisStorkRequest.Representative }
     *     
     */
    public void setRepresentative(MisStorkRequest.Representative value) {
        this.representative = value;
    }

    /**
     * Ruft den Wert der reqID-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReqID() {
        return reqID;
    }

    /**
     * Legt den Wert der reqID-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReqID(String value) {
        this.reqID = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd}MandateIdentifiers" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "mandateIdentifiers"
    })
    public static class Filters {

        @XmlElement(name = "MandateIdentifiers", namespace = "http://reference.e-government.gv.at/namespace/mandates/mis/1.0/xsd")
        protected MandateIdentifiers mandateIdentifiers;

        /**
         * Ruft den Wert der mandateIdentifiers-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link MandateIdentifiers }
         *     
         */
        public MandateIdentifiers getMandateIdentifiers() {
            return mandateIdentifiers;
        }

        /**
         * Legt den Wert der mandateIdentifiers-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link MandateIdentifiers }
         *     
         */
        public void setMandateIdentifiers(MandateIdentifiers value) {
            this.mandateIdentifiers = value;
        }

    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;sequence>
     *           &lt;element name="IdentityLink" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
     *         &lt;/sequence>
     *         &lt;sequence>
     *           &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}CorporateBody"/>
     *         &lt;/sequence>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "identityLink",
        "corporateBody"
    })
    public static class Mandator {

        @XmlElement(name = "IdentityLink")
        protected byte[] identityLink;
        @XmlElement(name = "CorporateBody", namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#")
        protected CorporateBodyType corporateBody;

        /**
         * Ruft den Wert der identityLink-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     byte[]
         */
        public byte[] getIdentityLink() {
            return identityLink;
        }

        /**
         * Legt den Wert der identityLink-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     byte[]
         */
        public void setIdentityLink(byte[] value) {
            this.identityLink = value;
        }

        /**
         * Ruft den Wert der corporateBody-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link CorporateBodyType }
         *     
         */
        public CorporateBodyType getCorporateBody() {
            return corporateBody;
        }

        /**
         * Legt den Wert der corporateBody-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link CorporateBodyType }
         *     
         */
        public void setCorporateBody(CorporateBodyType value) {
            this.corporateBody = value;
        }

    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="IdentityLink" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "identityLink"
    })
    public static class Representative {

        @XmlElement(name = "IdentityLink", required = true)
        protected byte[] identityLink;

        /**
         * Ruft den Wert der identityLink-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     byte[]
         */
        public byte[] getIdentityLink() {
            return identityLink;
        }

        /**
         * Legt den Wert der identityLink-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     byte[]
         */
        public void setIdentityLink(byte[] value) {
            this.identityLink = value;
        }

    }

}
