
package at.gv.util.xsd.persondata;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * compare BankverbindungTyp
 * 
 * <p>Java-Klasse für BankConnectionType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="BankConnectionType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Holder" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="BankName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;choice>
 *           &lt;element name="NationalBankConnection">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="AccountNumber" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *                     &lt;element name="BankCode" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="InternationalBankConnection">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="IBAN" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                     &lt;element name="BIC" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BankConnectionType", propOrder = {
    "holder",
    "bankName",
    "nationalBankConnection",
    "internationalBankConnection"
})
public class BankConnectionType {

    @XmlElement(name = "Holder", required = true)
    protected String holder;
    @XmlElement(name = "BankName", required = true)
    protected String bankName;
    @XmlElement(name = "NationalBankConnection")
    protected BankConnectionType.NationalBankConnection nationalBankConnection;
    @XmlElement(name = "InternationalBankConnection")
    protected BankConnectionType.InternationalBankConnection internationalBankConnection;

    /**
     * Ruft den Wert der holder-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHolder() {
        return holder;
    }

    /**
     * Legt den Wert der holder-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHolder(String value) {
        this.holder = value;
    }

    /**
     * Ruft den Wert der bankName-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBankName() {
        return bankName;
    }

    /**
     * Legt den Wert der bankName-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBankName(String value) {
        this.bankName = value;
    }

    /**
     * Ruft den Wert der nationalBankConnection-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BankConnectionType.NationalBankConnection }
     *     
     */
    public BankConnectionType.NationalBankConnection getNationalBankConnection() {
        return nationalBankConnection;
    }

    /**
     * Legt den Wert der nationalBankConnection-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BankConnectionType.NationalBankConnection }
     *     
     */
    public void setNationalBankConnection(BankConnectionType.NationalBankConnection value) {
        this.nationalBankConnection = value;
    }

    /**
     * Ruft den Wert der internationalBankConnection-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BankConnectionType.InternationalBankConnection }
     *     
     */
    public BankConnectionType.InternationalBankConnection getInternationalBankConnection() {
        return internationalBankConnection;
    }

    /**
     * Legt den Wert der internationalBankConnection-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BankConnectionType.InternationalBankConnection }
     *     
     */
    public void setInternationalBankConnection(BankConnectionType.InternationalBankConnection value) {
        this.internationalBankConnection = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="IBAN" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="BIC" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "iban",
        "bic"
    })
    public static class InternationalBankConnection {

        @XmlElement(name = "IBAN", required = true)
        protected String iban;
        @XmlElement(name = "BIC", required = true)
        protected String bic;

        /**
         * Ruft den Wert der iban-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getIBAN() {
            return iban;
        }

        /**
         * Legt den Wert der iban-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setIBAN(String value) {
            this.iban = value;
        }

        /**
         * Ruft den Wert der bic-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getBIC() {
            return bic;
        }

        /**
         * Legt den Wert der bic-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setBIC(String value) {
            this.bic = value;
        }

    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="AccountNumber" type="{http://www.w3.org/2001/XMLSchema}integer"/>
     *         &lt;element name="BankCode" type="{http://www.w3.org/2001/XMLSchema}integer"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "accountNumber",
        "bankCode"
    })
    public static class NationalBankConnection {

        @XmlElement(name = "AccountNumber", required = true)
        protected BigInteger accountNumber;
        @XmlElement(name = "BankCode", required = true)
        protected BigInteger bankCode;

        /**
         * Ruft den Wert der accountNumber-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getAccountNumber() {
            return accountNumber;
        }

        /**
         * Legt den Wert der accountNumber-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setAccountNumber(BigInteger value) {
            this.accountNumber = value;
        }

        /**
         * Ruft den Wert der bankCode-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getBankCode() {
            return bankCode;
        }

        /**
         * Legt den Wert der bankCode-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setBankCode(BigInteger value) {
            this.bankCode = value;
        }

    }

}
