
package at.gv.util.xsd.persondata;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für FederalStateType.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="FederalStateType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Wien"/>
 *     &lt;enumeration value="Niederoesterreich"/>
 *     &lt;enumeration value="Burgenland"/>
 *     &lt;enumeration value="Oberoesterreich"/>
 *     &lt;enumeration value="Steiermark"/>
 *     &lt;enumeration value="Salzburg"/>
 *     &lt;enumeration value="Kaernten"/>
 *     &lt;enumeration value="Tirol"/>
 *     &lt;enumeration value="Vorarlberg"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FederalStateType")
@XmlEnum
public enum FederalStateType {

    @XmlEnumValue("Wien")
    WIEN("Wien"),
    @XmlEnumValue("Niederoesterreich")
    NIEDEROESTERREICH("Niederoesterreich"),
    @XmlEnumValue("Burgenland")
    BURGENLAND("Burgenland"),
    @XmlEnumValue("Oberoesterreich")
    OBEROESTERREICH("Oberoesterreich"),
    @XmlEnumValue("Steiermark")
    STEIERMARK("Steiermark"),
    @XmlEnumValue("Salzburg")
    SALZBURG("Salzburg"),
    @XmlEnumValue("Kaernten")
    KAERNTEN("Kaernten"),
    @XmlEnumValue("Tirol")
    TIROL("Tirol"),
    @XmlEnumValue("Vorarlberg")
    VORARLBERG("Vorarlberg");
    private final String value;

    FederalStateType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static FederalStateType fromValue(String v) {
        for (FederalStateType c: FederalStateType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
