
package at.gv.util.xsd.persondata;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * like TelephoneAddresseType but with additional smsEnabled attribute
 * 
 * <p>Java-Klasse für MobileTelcomNumberType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="MobileTelcomNumberType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reference.e-government.gv.at/namespace/persondata/20020228#}TelcomNumberType">
 *       &lt;attribute name="smsEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MobileTelcomNumberType")
public class MobileTelcomNumberType
    extends TelcomNumberType
{

    @XmlAttribute(name = "smsEnabled")
    protected Boolean smsEnabled;

    /**
     * Ruft den Wert der smsEnabled-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSmsEnabled() {
        return smsEnabled;
    }

    /**
     * Legt den Wert der smsEnabled-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSmsEnabled(Boolean value) {
        this.smsEnabled = value;
    }

}
