
package at.gv.util.xsd.szr;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für GetBPKKombiResponseType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="GetBPKKombiResponseType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ResultRecord" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="PersonInfo" type="{urn:SZRServices}PersonInfoType"/>
 *                   &lt;element name="Register" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="bPK" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="FremdBPK" type="{urn:SZRServices}FremdBPKType" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="InsertERnPResult" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="FoundWithSuchwizard" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="Sessionid" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetBPKKombiResponseType", propOrder = {
    "resultRecord",
    "insertERnPResult",
    "foundWithSuchwizard",
    "sessionid"
})
public class GetBPKKombiResponseType {

    @XmlElement(name = "ResultRecord", required = true)
    protected List<GetBPKKombiResponseType.ResultRecord> resultRecord;
    @XmlElement(name = "InsertERnPResult")
    protected boolean insertERnPResult;
    @XmlElement(name = "FoundWithSuchwizard")
    protected boolean foundWithSuchwizard;
    @XmlElement(name = "Sessionid", required = true)
    protected String sessionid;

    /**
     * Gets the value of the resultRecord property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the resultRecord property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getResultRecord().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GetBPKKombiResponseType.ResultRecord }
     * 
     * 
     */
    public List<GetBPKKombiResponseType.ResultRecord> getResultRecord() {
        if (resultRecord == null) {
            resultRecord = new ArrayList<GetBPKKombiResponseType.ResultRecord>();
        }
        return this.resultRecord;
    }

    /**
     * Ruft den Wert der insertERnPResult-Eigenschaft ab.
     * 
     */
    public boolean isInsertERnPResult() {
        return insertERnPResult;
    }

    /**
     * Legt den Wert der insertERnPResult-Eigenschaft fest.
     * 
     */
    public void setInsertERnPResult(boolean value) {
        this.insertERnPResult = value;
    }

    /**
     * Ruft den Wert der foundWithSuchwizard-Eigenschaft ab.
     * 
     */
    public boolean isFoundWithSuchwizard() {
        return foundWithSuchwizard;
    }

    /**
     * Legt den Wert der foundWithSuchwizard-Eigenschaft fest.
     * 
     */
    public void setFoundWithSuchwizard(boolean value) {
        this.foundWithSuchwizard = value;
    }

    /**
     * Ruft den Wert der sessionid-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSessionid() {
        return sessionid;
    }

    /**
     * Legt den Wert der sessionid-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSessionid(String value) {
        this.sessionid = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="PersonInfo" type="{urn:SZRServices}PersonInfoType"/>
     *         &lt;element name="Register" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="bPK" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="FremdBPK" type="{urn:SZRServices}FremdBPKType" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "personInfo",
        "register",
        "bpk",
        "fremdBPK"
    })
    public static class ResultRecord {

        @XmlElement(name = "PersonInfo", required = true)
        protected PersonInfoType personInfo;
        @XmlElement(name = "Register", required = true)
        protected String register;
        @XmlElement(name = "bPK", required = true)
        protected String bpk;
        @XmlElement(name = "FremdBPK")
        protected List<FremdBPKType> fremdBPK;

        /**
         * Ruft den Wert der personInfo-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link PersonInfoType }
         *     
         */
        public PersonInfoType getPersonInfo() {
            return personInfo;
        }

        /**
         * Legt den Wert der personInfo-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link PersonInfoType }
         *     
         */
        public void setPersonInfo(PersonInfoType value) {
            this.personInfo = value;
        }

        /**
         * Ruft den Wert der register-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getRegister() {
            return register;
        }

        /**
         * Legt den Wert der register-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setRegister(String value) {
            this.register = value;
        }

        /**
         * Ruft den Wert der bpk-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getBPK() {
            return bpk;
        }

        /**
         * Legt den Wert der bpk-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setBPK(String value) {
            this.bpk = value;
        }

        /**
         * Gets the value of the fremdBPK property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the fremdBPK property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getFremdBPK().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link FremdBPKType }
         * 
         * 
         */
        public List<FremdBPKType> getFremdBPK() {
            if (fremdBPK == null) {
                fremdBPK = new ArrayList<FremdBPKType>();
            }
            return this.fremdBPK;
        }

    }

}
