
package at.gv.util.xsd.szr;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PersonInfo" type="{urn:SZRServices}PersonInfoType"/>
 *         &lt;element name="InputBPK" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="InputBereichsKennung" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Begruendung" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Target" type="{urn:SZRServices}FremdBPKRequestType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "personInfo",
    "inputBPK",
    "inputBereichsKennung",
    "begruendung",
    "target"
})
@XmlRootElement(name = "TransformBPK")
public class TransformBPK {

    @XmlElement(name = "PersonInfo", required = true)
    protected PersonInfoType personInfo;
    @XmlElement(name = "InputBPK", required = true)
    protected String inputBPK;
    @XmlElement(name = "InputBereichsKennung", required = true)
    protected String inputBereichsKennung;
    @XmlElement(name = "Begruendung", required = true)
    protected String begruendung;
    @XmlElement(name = "Target", required = true)
    protected List<FremdBPKRequestType> target;

    /**
     * Ruft den Wert der personInfo-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PersonInfoType }
     *     
     */
    public PersonInfoType getPersonInfo() {
        return personInfo;
    }

    /**
     * Legt den Wert der personInfo-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonInfoType }
     *     
     */
    public void setPersonInfo(PersonInfoType value) {
        this.personInfo = value;
    }

    /**
     * Ruft den Wert der inputBPK-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInputBPK() {
        return inputBPK;
    }

    /**
     * Legt den Wert der inputBPK-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInputBPK(String value) {
        this.inputBPK = value;
    }

    /**
     * Ruft den Wert der inputBereichsKennung-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInputBereichsKennung() {
        return inputBereichsKennung;
    }

    /**
     * Legt den Wert der inputBereichsKennung-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInputBereichsKennung(String value) {
        this.inputBereichsKennung = value;
    }

    /**
     * Ruft den Wert der begruendung-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBegruendung() {
        return begruendung;
    }

    /**
     * Legt den Wert der begruendung-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBegruendung(String value) {
        this.begruendung = value;
    }

    /**
     * Gets the value of the target property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the target property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTarget().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FremdBPKRequestType }
     * 
     * 
     */
    public List<FremdBPKRequestType> getTarget() {
        if (target == null) {
            target = new ArrayList<FremdBPKRequestType>();
        }
        return this.target;
    }

}
