
package at.gv.util.xsd.szr.ecdsa;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.szr.ecdsa package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ECDSAKeyValue_QNAME = new QName("http://www.w3.org/2001/04/xmldsig-more#", "ECDSAKeyValue");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.szr.ecdsa
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ECDSAKeyValueType }
     * 
     */
    public ECDSAKeyValueType createECDSAKeyValueType() {
        return new ECDSAKeyValueType();
    }

    /**
     * Create an instance of {@link ECPointType }
     * 
     */
    public ECPointType createECPointType() {
        return new ECPointType();
    }

    /**
     * Create an instance of {@link PrimeFieldElemType }
     * 
     */
    public PrimeFieldElemType createPrimeFieldElemType() {
        return new PrimeFieldElemType();
    }

    /**
     * Create an instance of {@link DomainParamsType }
     * 
     */
    public DomainParamsType createDomainParamsType() {
        return new DomainParamsType();
    }

    /**
     * Create an instance of {@link NamedCurveType }
     * 
     */
    public NamedCurveType createNamedCurveType() {
        return new NamedCurveType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ECDSAKeyValueType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.w3.org/2001/04/xmldsig-more#", name = "ECDSAKeyValue")
    public JAXBElement<ECDSAKeyValueType> createECDSAKeyValue(ECDSAKeyValueType value) {
        return new JAXBElement<ECDSAKeyValueType>(_ECDSAKeyValue_QNAME, ECDSAKeyValueType.class, null, value);
    }

}
