
package at.gv.util.xsd.szr.persondata;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für PostalAddressType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="PostalAddressType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PostalCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Municipality" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Locality" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="StateCode3" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DeliveryAddress" type="{http://reference.e-government.gv.at/namespace/persondata/20020228#}DeliveryAddressType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PostalAddressType", propOrder = {
    "postalCode",
    "municipality",
    "locality",
    "stateCode3",
    "deliveryAddress"
})
public class PostalAddressType {

    @XmlElement(name = "PostalCode")
    protected String postalCode;
    @XmlElement(name = "Municipality")
    protected String municipality;
    @XmlElement(name = "Locality")
    protected String locality;
    @XmlElement(name = "StateCode3")
    protected String stateCode3;
    @XmlElement(name = "DeliveryAddress")
    protected DeliveryAddressType deliveryAddress;

    /**
     * Ruft den Wert der postalCode-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostalCode() {
        return postalCode;
    }

    /**
     * Legt den Wert der postalCode-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostalCode(String value) {
        this.postalCode = value;
    }

    /**
     * Ruft den Wert der municipality-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMunicipality() {
        return municipality;
    }

    /**
     * Legt den Wert der municipality-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMunicipality(String value) {
        this.municipality = value;
    }

    /**
     * Ruft den Wert der locality-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLocality() {
        return locality;
    }

    /**
     * Legt den Wert der locality-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLocality(String value) {
        this.locality = value;
    }

    /**
     * Ruft den Wert der stateCode3-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStateCode3() {
        return stateCode3;
    }

    /**
     * Legt den Wert der stateCode3-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStateCode3(String value) {
        this.stateCode3 = value;
    }

    /**
     * Ruft den Wert der deliveryAddress-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryAddressType }
     *     
     */
    public DeliveryAddressType getDeliveryAddress() {
        return deliveryAddress;
    }

    /**
     * Legt den Wert der deliveryAddress-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryAddressType }
     *     
     */
    public void setDeliveryAddress(DeliveryAddressType value) {
        this.deliveryAddress = value;
    }

}
