
package at.gv.util.xsd.szr.pvp;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.szr.pvp package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _PvpToken_QNAME = new QName("http://egov.gv.at/pvp1.xsd", "pvpToken");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.szr.pvp
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link PvpTokenType }
     * 
     */
    public PvpTokenType createPvpTokenType() {
        return new PvpTokenType();
    }

    /**
     * Create an instance of {@link PvpTokenType.Accounting }
     * 
     */
    public PvpTokenType.Accounting createPvpTokenTypeAccounting() {
        return new PvpTokenType.Accounting();
    }

    /**
     * Create an instance of {@link PvpTokenType.Authenticate }
     * 
     */
    public PvpTokenType.Authenticate createPvpTokenTypeAuthenticate() {
        return new PvpTokenType.Authenticate();
    }

    /**
     * Create an instance of {@link Param }
     * 
     */
    public Param createParam() {
        return new Param();
    }

    /**
     * Create an instance of {@link Role }
     * 
     */
    public Role createRole() {
        return new Role();
    }

    /**
     * Create an instance of {@link PvpPrincipalType }
     * 
     */
    public PvpPrincipalType createPvpPrincipalType() {
        return new PvpPrincipalType();
    }

    /**
     * Create an instance of {@link PvpTokenType.Authorize }
     * 
     */
    public PvpTokenType.Authorize createPvpTokenTypeAuthorize() {
        return new PvpTokenType.Authorize();
    }

    /**
     * Create an instance of {@link PvpTokenType.PvpExtension }
     * 
     */
    public PvpTokenType.PvpExtension createPvpTokenTypePvpExtension() {
        return new PvpTokenType.PvpExtension();
    }

    /**
     * Create an instance of {@link PvpTokenType.Accounting.GvCostCenterId }
     * 
     */
    public PvpTokenType.Accounting.GvCostCenterId createPvpTokenTypeAccountingGvCostCenterId() {
        return new PvpTokenType.Accounting.GvCostCenterId();
    }

    /**
     * Create an instance of {@link PvpTokenType.Accounting.GvChargeCode }
     * 
     */
    public PvpTokenType.Accounting.GvChargeCode createPvpTokenTypeAccountingGvChargeCode() {
        return new PvpTokenType.Accounting.GvChargeCode();
    }

    /**
     * Create an instance of {@link PvpTokenType.Authenticate.UserPrincipal }
     * 
     */
    public PvpTokenType.Authenticate.UserPrincipal createPvpTokenTypeAuthenticateUserPrincipal() {
        return new PvpTokenType.Authenticate.UserPrincipal();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PvpTokenType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://egov.gv.at/pvp1.xsd", name = "pvpToken")
    public JAXBElement<PvpTokenType> createPvpToken(PvpTokenType value) {
        return new JAXBElement<PvpTokenType>(_PvpToken_QNAME, PvpTokenType.class, null, value);
    }

}
