
package at.gv.util.xsd.ur_V2.search;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ur_V2.simpletypes.ErgebnisVollzugStatusTyp;


/**
 * <p>Java-Klasse für SucheUnternehmenNachIdsRequest complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="SucheUnternehmenNachIdsRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="version" type="{http://statistik.at/namespace/ur/simpleTypes/2#}VersionTyp" minOccurs="0"/>
 *         &lt;element name="kur" type="{http://statistik.at/namespace/ur/simpleTypes/2#}KurTyp" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="fbn" type="{http://statistik.at/namespace/ur/simpleTypes/2#}FbnTyp" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="zvr" type="{http://statistik.at/namespace/ur/simpleTypes/2#}ZvrTyp" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="erj" type="{http://statistik.at/namespace/ur/simpleTypes/2#}ErjTyp" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="vollzugStatus" type="{http://statistik.at/namespace/ur/simpleTypes/2#}ErgebnisVollzugStatusTyp" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SucheUnternehmenNachIdsRequest", propOrder = {
    "version",
    "kur",
    "fbn",
    "zvr",
    "erj",
    "vollzugStatus"
})
public class SucheUnternehmenNachIdsRequest {

    protected String version;
    protected List<String> kur;
    protected List<String> fbn;
    protected List<String> zvr;
    protected List<String> erj;
    @XmlSchemaType(name = "string")
    protected ErgebnisVollzugStatusTyp vollzugStatus;

    /**
     * Ruft den Wert der version-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Legt den Wert der version-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

    /**
     * Gets the value of the kur property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the kur property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getKur().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getKur() {
        if (kur == null) {
            kur = new ArrayList<String>();
        }
        return this.kur;
    }

    /**
     * Gets the value of the fbn property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fbn property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFbn().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getFbn() {
        if (fbn == null) {
            fbn = new ArrayList<String>();
        }
        return this.fbn;
    }

    /**
     * Gets the value of the zvr property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the zvr property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getZvr().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getZvr() {
        if (zvr == null) {
            zvr = new ArrayList<String>();
        }
        return this.zvr;
    }

    /**
     * Gets the value of the erj property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the erj property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getErj().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getErj() {
        if (erj == null) {
            erj = new ArrayList<String>();
        }
        return this.erj;
    }

    /**
     * Ruft den Wert der vollzugStatus-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ErgebnisVollzugStatusTyp }
     *     
     */
    public ErgebnisVollzugStatusTyp getVollzugStatus() {
        return vollzugStatus;
    }

    /**
     * Legt den Wert der vollzugStatus-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ErgebnisVollzugStatusTyp }
     *     
     */
    public void setVollzugStatus(ErgebnisVollzugStatusTyp value) {
        this.vollzugStatus = value;
    }

}
