
package at.gv.util.xsd.ur_V2.search;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für SucheUnternehmensdaten complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="SucheUnternehmensdaten">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="phonetisch" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="untName" type="{http://statistik.at/namespace/ur/simpleTypes/2#}UntNameTyp" minOccurs="0"/>
 *         &lt;element name="rechtsform" type="{http://statistik.at/namespace/ur/simpleTypes/2#}RechtsformTyp" minOccurs="0"/>
 *         &lt;element name="id" type="{http://statistik.at/namespace/ur/simpleTypes/2#}IdTyp" minOccurs="0"/>
 *         &lt;element name="idArt" type="{http://statistik.at/namespace/ur/simpleTypes/2#}IdArtTyp" minOccurs="0"/>
 *         &lt;element name="strasse" type="{http://statistik.at/namespace/ur/simpleTypes/2#}StrasseTyp" minOccurs="0"/>
 *         &lt;element name="hNr" type="{http://statistik.at/namespace/ur/simpleTypes/2#}HNrTyp" minOccurs="0"/>
 *         &lt;element name="ort" type="{http://statistik.at/namespace/ur/simpleTypes/2#}OrtTyp" minOccurs="0"/>
 *         &lt;element name="gemnr" type="{http://statistik.at/namespace/ur/simpleTypes/2#}GemnrTyp" minOccurs="0"/>
 *         &lt;element name="plz" type="{http://statistik.at/namespace/ur/simpleTypes/2#}PlzTyp" minOccurs="0"/>
 *         &lt;element name="land" type="{http://statistik.at/namespace/ur/simpleTypes/2#}LandTyp" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SucheUnternehmensdaten", propOrder = {
    "phonetisch",
    "untName",
    "rechtsform",
    "id",
    "idArt",
    "strasse",
    "hNr",
    "ort",
    "gemnr",
    "plz",
    "land"
})
public class SucheUnternehmensdaten {

    protected Boolean phonetisch;
    protected String untName;
    @XmlSchemaType(name = "integer")
    protected Integer rechtsform;
    protected String id;
    protected String idArt;
    protected String strasse;
    protected String hNr;
    protected String ort;
    @XmlSchemaType(name = "integer")
    protected Integer gemnr;
    protected String plz;
    protected String land;

    /**
     * Ruft den Wert der phonetisch-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPhonetisch() {
        return phonetisch;
    }

    /**
     * Legt den Wert der phonetisch-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPhonetisch(Boolean value) {
        this.phonetisch = value;
    }

    /**
     * Ruft den Wert der untName-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUntName() {
        return untName;
    }

    /**
     * Legt den Wert der untName-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUntName(String value) {
        this.untName = value;
    }

    /**
     * Ruft den Wert der rechtsform-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getRechtsform() {
        return rechtsform;
    }

    /**
     * Legt den Wert der rechtsform-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setRechtsform(Integer value) {
        this.rechtsform = value;
    }

    /**
     * Ruft den Wert der id-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Legt den Wert der id-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Ruft den Wert der idArt-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdArt() {
        return idArt;
    }

    /**
     * Legt den Wert der idArt-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdArt(String value) {
        this.idArt = value;
    }

    /**
     * Ruft den Wert der strasse-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStrasse() {
        return strasse;
    }

    /**
     * Legt den Wert der strasse-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStrasse(String value) {
        this.strasse = value;
    }

    /**
     * Ruft den Wert der hNr-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHNr() {
        return hNr;
    }

    /**
     * Legt den Wert der hNr-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHNr(String value) {
        this.hNr = value;
    }

    /**
     * Ruft den Wert der ort-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrt() {
        return ort;
    }

    /**
     * Legt den Wert der ort-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrt(String value) {
        this.ort = value;
    }

    /**
     * Ruft den Wert der gemnr-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getGemnr() {
        return gemnr;
    }

    /**
     * Legt den Wert der gemnr-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setGemnr(Integer value) {
        this.gemnr = value;
    }

    /**
     * Ruft den Wert der plz-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPlz() {
        return plz;
    }

    /**
     * Legt den Wert der plz-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPlz(String value) {
        this.plz = value;
    }

    /**
     * Ruft den Wert der land-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLand() {
        return land;
    }

    /**
     * Legt den Wert der land-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLand(String value) {
        this.land = value;
    }

}
