
package at.gv.util.xsd.ur_V2.xmlsw;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java-Klasse für PaymentInfoType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="PaymentInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}InvoiceId" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}Costs"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}AccountedUnits" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}TimeStamp"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PaymentInfoType", propOrder = {
    "invoiceId",
    "costs",
    "accountedUnits",
    "timeStamp"
})
public class PaymentInfoType {

    @XmlElement(name = "InvoiceId")
    protected String invoiceId;
    @XmlElement(name = "Costs")
    protected float costs;
    @XmlElement(name = "AccountedUnits")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger accountedUnits;
    @XmlElement(name = "TimeStamp", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar timeStamp;

    /**
     * Ruft den Wert der invoiceId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInvoiceId() {
        return invoiceId;
    }

    /**
     * Legt den Wert der invoiceId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInvoiceId(String value) {
        this.invoiceId = value;
    }

    /**
     * Ruft den Wert der costs-Eigenschaft ab.
     * 
     */
    public float getCosts() {
        return costs;
    }

    /**
     * Legt den Wert der costs-Eigenschaft fest.
     * 
     */
    public void setCosts(float value) {
        this.costs = value;
    }

    /**
     * Ruft den Wert der accountedUnits-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getAccountedUnits() {
        return accountedUnits;
    }

    /**
     * Legt den Wert der accountedUnits-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setAccountedUnits(BigInteger value) {
        this.accountedUnits = value;
    }

    /**
     * Ruft den Wert der timeStamp-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTimeStamp() {
        return timeStamp;
    }

    /**
     * Legt den Wert der timeStamp-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTimeStamp(XMLGregorianCalendar value) {
        this.timeStamp = value;
    }

}
