
package at.gv.util.xsd.ur_V2.xmlsw;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.util.xsd.ur_V2.search.SucheUnternehmenNachAendDatRequest;
import at.gv.util.xsd.ur_V2.search.SucheUnternehmenNachBpkRequest;
import at.gv.util.xsd.ur_V2.search.SucheUnternehmenNachIdRequest;
import at.gv.util.xsd.ur_V2.search.SucheUnternehmenNachIdsRequest;
import at.gv.util.xsd.ur_V2.search.SucheUnternehmenRequest;


/**
 * <p>Java-Klasse für SearchCriteriaType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="SearchCriteriaType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/xml-sw/1#}ResultSetId" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/2#}SucheUnternehmenNachAendDatRequest"/>
 *           &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/2#}SucheUnternehmenNachBpkRequest"/>
 *           &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/2#}SucheUnternehmenNachIdRequest"/>
 *           &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/2#}SucheUnternehmenNachIdsRequest"/>
 *           &lt;element ref="{http://statistik.at/namespace/ur/stammdaten/2#}SucheUnternehmenRequest"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SearchCriteriaType", propOrder = {
    "resultSetId",
    "sucheUnternehmenNachAendDatRequest",
    "sucheUnternehmenNachBpkRequest",
    "sucheUnternehmenNachIdRequest",
    "sucheUnternehmenNachIdsRequest",
    "sucheUnternehmenRequest"
})
public class SearchCriteriaType {

    @XmlElement(name = "ResultSetId")
    protected String resultSetId;
    @XmlElement(name = "SucheUnternehmenNachAendDatRequest", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
    protected SucheUnternehmenNachAendDatRequest sucheUnternehmenNachAendDatRequest;
    @XmlElement(name = "SucheUnternehmenNachBpkRequest", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
    protected SucheUnternehmenNachBpkRequest sucheUnternehmenNachBpkRequest;
    @XmlElement(name = "SucheUnternehmenNachIdRequest", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
    protected SucheUnternehmenNachIdRequest sucheUnternehmenNachIdRequest;
    @XmlElement(name = "SucheUnternehmenNachIdsRequest", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
    protected SucheUnternehmenNachIdsRequest sucheUnternehmenNachIdsRequest;
    @XmlElement(name = "SucheUnternehmenRequest", namespace = "http://statistik.at/namespace/ur/stammdaten/2#")
    protected SucheUnternehmenRequest sucheUnternehmenRequest;

    /**
     * Ruft den Wert der resultSetId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResultSetId() {
        return resultSetId;
    }

    /**
     * Legt den Wert der resultSetId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResultSetId(String value) {
        this.resultSetId = value;
    }

    /**
     * Ruft den Wert der sucheUnternehmenNachAendDatRequest-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SucheUnternehmenNachAendDatRequest }
     *     
     */
    public SucheUnternehmenNachAendDatRequest getSucheUnternehmenNachAendDatRequest() {
        return sucheUnternehmenNachAendDatRequest;
    }

    /**
     * Legt den Wert der sucheUnternehmenNachAendDatRequest-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SucheUnternehmenNachAendDatRequest }
     *     
     */
    public void setSucheUnternehmenNachAendDatRequest(SucheUnternehmenNachAendDatRequest value) {
        this.sucheUnternehmenNachAendDatRequest = value;
    }

    /**
     * Ruft den Wert der sucheUnternehmenNachBpkRequest-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SucheUnternehmenNachBpkRequest }
     *     
     */
    public SucheUnternehmenNachBpkRequest getSucheUnternehmenNachBpkRequest() {
        return sucheUnternehmenNachBpkRequest;
    }

    /**
     * Legt den Wert der sucheUnternehmenNachBpkRequest-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SucheUnternehmenNachBpkRequest }
     *     
     */
    public void setSucheUnternehmenNachBpkRequest(SucheUnternehmenNachBpkRequest value) {
        this.sucheUnternehmenNachBpkRequest = value;
    }

    /**
     * Ruft den Wert der sucheUnternehmenNachIdRequest-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SucheUnternehmenNachIdRequest }
     *     
     */
    public SucheUnternehmenNachIdRequest getSucheUnternehmenNachIdRequest() {
        return sucheUnternehmenNachIdRequest;
    }

    /**
     * Legt den Wert der sucheUnternehmenNachIdRequest-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SucheUnternehmenNachIdRequest }
     *     
     */
    public void setSucheUnternehmenNachIdRequest(SucheUnternehmenNachIdRequest value) {
        this.sucheUnternehmenNachIdRequest = value;
    }

    /**
     * Ruft den Wert der sucheUnternehmenNachIdsRequest-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SucheUnternehmenNachIdsRequest }
     *     
     */
    public SucheUnternehmenNachIdsRequest getSucheUnternehmenNachIdsRequest() {
        return sucheUnternehmenNachIdsRequest;
    }

    /**
     * Legt den Wert der sucheUnternehmenNachIdsRequest-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SucheUnternehmenNachIdsRequest }
     *     
     */
    public void setSucheUnternehmenNachIdsRequest(SucheUnternehmenNachIdsRequest value) {
        this.sucheUnternehmenNachIdsRequest = value;
    }

    /**
     * Ruft den Wert der sucheUnternehmenRequest-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SucheUnternehmenRequest }
     *     
     */
    public SucheUnternehmenRequest getSucheUnternehmenRequest() {
        return sucheUnternehmenRequest;
    }

    /**
     * Legt den Wert der sucheUnternehmenRequest-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SucheUnternehmenRequest }
     *     
     */
    public void setSucheUnternehmenRequest(SucheUnternehmenRequest value) {
        this.sucheUnternehmenRequest = value;
    }

}
