
package at.gv.util.xsd.ur_V5.pd;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * entspricht PhysicalPersonType
 * 
 * <p>Java-Klasse für NatuerlichePersonTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="NatuerlichePersonTyp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}AbstractPersonType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}PersonenName" minOccurs="0"/>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/de/20040201#}Geburtsdatum" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{http://statistik.at/namespace/ur/stammdaten/4#}VollzugAttributes"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NatuerlichePersonTyp", propOrder = {
    "personenName",
    "geburtsdatum"
})
public class NatuerlichePersonTyp
    extends AbstractPersonType
{

    @XmlElement(name = "PersonenName")
    protected PersonenNameTyp personenName;
    @XmlElement(name = "Geburtsdatum")
    @XmlSchemaType(name = "anySimpleType")
    protected String geburtsdatum;
    @XmlAttribute(name = "vollzugBeginn", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object vollzugBeginn;
    @XmlAttribute(name = "vollzugEnde", namespace = "http://statistik.at/namespace/ur/stammdaten/4#")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object vollzugEnde;

    /**
     * Ruft den Wert der personenName-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link PersonenNameTyp }
     *     
     */
    public PersonenNameTyp getPersonenName() {
        return personenName;
    }

    /**
     * Legt den Wert der personenName-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonenNameTyp }
     *     
     */
    public void setPersonenName(PersonenNameTyp value) {
        this.personenName = value;
    }

    /**
     * Ruft den Wert der geburtsdatum-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGeburtsdatum() {
        return geburtsdatum;
    }

    /**
     * Legt den Wert der geburtsdatum-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGeburtsdatum(String value) {
        this.geburtsdatum = value;
    }

    /**
     * Ruft den Wert der vollzugBeginn-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getVollzugBeginn() {
        return vollzugBeginn;
    }

    /**
     * Legt den Wert der vollzugBeginn-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setVollzugBeginn(Object value) {
        this.vollzugBeginn = value;
    }

    /**
     * Ruft den Wert der vollzugEnde-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getVollzugEnde() {
        return vollzugEnde;
    }

    /**
     * Legt den Wert der vollzugEnde-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setVollzugEnde(Object value) {
        this.vollzugEnde = value;
    }

}
