
package at.gv.util.xsd.zuserech;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for ClearingRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ClearingRequestType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ClearingEntry" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="X509IssuerSerial" type="{http://reference.e-government.gv.at/namespaces/zustellung/rech}X509IssuerSerialType"/>
 *                   &lt;element name="Token" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                   &lt;element name="DeliveryQuality" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                   &lt;element name="PaperNotification" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                   &lt;element name="Private" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="Price" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *                 &lt;attribute name="ID" use="required" type="{http://www.w3.org/2001/XMLSchema}token" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="version" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ClearingRequestType", propOrder = {
    "clearingEntry"
})
public class ClearingRequestType {

    @XmlElement(name = "ClearingEntry", required = true)
    protected List<ClearingRequestType.ClearingEntry> clearingEntry;
    @XmlAttribute
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger version;

    /**
     * Gets the value of the clearingEntry property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the clearingEntry property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getClearingEntry().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ClearingRequestType.ClearingEntry }
     * 
     * 
     */
    public List<ClearingRequestType.ClearingEntry> getClearingEntry() {
        if (clearingEntry == null) {
            clearingEntry = new ArrayList<ClearingRequestType.ClearingEntry>();
        }
        return this.clearingEntry;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setVersion(BigInteger value) {
        this.version = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="X509IssuerSerial" type="{http://reference.e-government.gv.at/namespaces/zustellung/rech}X509IssuerSerialType"/>
     *         &lt;element name="Token" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *         &lt;element name="DeliveryQuality" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *         &lt;element name="PaperNotification" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *         &lt;element name="Private" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="Price" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *       &lt;attribute name="ID" use="required" type="{http://www.w3.org/2001/XMLSchema}token" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "x509IssuerSerial",
        "token",
        "deliveryQuality",
        "paperNotification",
        "_private"
    })
    public static class ClearingEntry {

        @XmlElement(name = "X509IssuerSerial", required = true)
        protected X509IssuerSerialType x509IssuerSerial;
        @XmlElement(name = "Token", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String token;
        @XmlElement(name = "DeliveryQuality", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String deliveryQuality;
        @XmlElement(name = "PaperNotification")
        protected boolean paperNotification;
        @XmlElement(name = "Private")
        protected ClearingRequestType.ClearingEntry.Private _private;
        @XmlAttribute(name = "ID", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String id;

        /**
         * Gets the value of the x509IssuerSerial property.
         * 
         * @return
         *     possible object is
         *     {@link X509IssuerSerialType }
         *     
         */
        public X509IssuerSerialType getX509IssuerSerial() {
            return x509IssuerSerial;
        }

        /**
         * Sets the value of the x509IssuerSerial property.
         * 
         * @param value
         *     allowed object is
         *     {@link X509IssuerSerialType }
         *     
         */
        public void setX509IssuerSerial(X509IssuerSerialType value) {
            this.x509IssuerSerial = value;
        }

        /**
         * Gets the value of the token property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getToken() {
            return token;
        }

        /**
         * Sets the value of the token property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setToken(String value) {
            this.token = value;
        }

        /**
         * Gets the value of the deliveryQuality property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDeliveryQuality() {
            return deliveryQuality;
        }

        /**
         * Sets the value of the deliveryQuality property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDeliveryQuality(String value) {
            this.deliveryQuality = value;
        }

        /**
         * Gets the value of the paperNotification property.
         * 
         */
        public boolean isPaperNotification() {
            return paperNotification;
        }

        /**
         * Sets the value of the paperNotification property.
         * 
         */
        public void setPaperNotification(boolean value) {
            this.paperNotification = value;
        }

        /**
         * Gets the value of the private property.
         * 
         * @return
         *     possible object is
         *     {@link ClearingRequestType.ClearingEntry.Private }
         *     
         */
        public ClearingRequestType.ClearingEntry.Private getPrivate() {
            return _private;
        }

        /**
         * Sets the value of the private property.
         * 
         * @param value
         *     allowed object is
         *     {@link ClearingRequestType.ClearingEntry.Private }
         *     
         */
        public void setPrivate(ClearingRequestType.ClearingEntry.Private value) {
            this._private = value;
        }

        /**
         * Gets the value of the id property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getID() {
            return id;
        }

        /**
         * Sets the value of the id property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setID(String value) {
            this.id = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="Price" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "price"
        })
        public static class Private {

            @XmlElement(name = "Price", required = true)
            protected BigDecimal price;

            /**
             * Gets the value of the price property.
             * 
             * @return
             *     possible object is
             *     {@link BigDecimal }
             *     
             */
            public BigDecimal getPrice() {
                return price;
            }

            /**
             * Sets the value of the price property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigDecimal }
             *     
             */
            public void setPrice(BigDecimal value) {
                this.price = value;
            }

        }

    }

}
