
package at.gv.util.xsd.zuserech;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.util.xsd.zuserech package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ClearingRequest_QNAME = new QName("http://reference.e-government.gv.at/namespaces/zustellung/rech", "ClearingRequest");
    private final static QName _ClearingResponse_QNAME = new QName("http://reference.e-government.gv.at/namespaces/zustellung/rech", "ClearingResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.util.xsd.zuserech
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ClearingResponseType.ClearingEntry }
     * 
     */
    public ClearingResponseType.ClearingEntry createClearingResponseTypeClearingEntry() {
        return new ClearingResponseType.ClearingEntry();
    }

    /**
     * Create an instance of {@link ClearingResponseType.ClearingEntry.Success }
     * 
     */
    public ClearingResponseType.ClearingEntry.Success createClearingResponseTypeClearingEntrySuccess() {
        return new ClearingResponseType.ClearingEntry.Success();
    }

    /**
     * Create an instance of {@link ValidateTokenRequest.TokenEntry }
     * 
     */
    public ValidateTokenRequest.TokenEntry createValidateTokenRequestTokenEntry() {
        return new ValidateTokenRequest.TokenEntry();
    }

    /**
     * Create an instance of {@link ValidateTokenResponse.TokenEntry.Success }
     * 
     */
    public ValidateTokenResponse.TokenEntry.Success createValidateTokenResponseTokenEntrySuccess() {
        return new ValidateTokenResponse.TokenEntry.Success();
    }

    /**
     * Create an instance of {@link ValidateTokenResponse }
     * 
     */
    public ValidateTokenResponse createValidateTokenResponse() {
        return new ValidateTokenResponse();
    }

    /**
     * Create an instance of {@link ClearingRequestType.ClearingEntry.Private }
     * 
     */
    public ClearingRequestType.ClearingEntry.Private createClearingRequestTypeClearingEntryPrivate() {
        return new ClearingRequestType.ClearingEntry.Private();
    }

    /**
     * Create an instance of {@link ValidateTokenResponse.TokenEntry }
     * 
     */
    public ValidateTokenResponse.TokenEntry createValidateTokenResponseTokenEntry() {
        return new ValidateTokenResponse.TokenEntry();
    }

    /**
     * Create an instance of {@link X509IssuerSerialType }
     * 
     */
    public X509IssuerSerialType createX509IssuerSerialType() {
        return new X509IssuerSerialType();
    }

    /**
     * Create an instance of {@link ClearingRequestType.ClearingEntry }
     * 
     */
    public ClearingRequestType.ClearingEntry createClearingRequestTypeClearingEntry() {
        return new ClearingRequestType.ClearingEntry();
    }

    /**
     * Create an instance of {@link ClearingResponseType }
     * 
     */
    public ClearingResponseType createClearingResponseType() {
        return new ClearingResponseType();
    }

    /**
     * Create an instance of {@link ErrorType }
     * 
     */
    public ErrorType createErrorType() {
        return new ErrorType();
    }

    /**
     * Create an instance of {@link ValidateTokenRequest }
     * 
     */
    public ValidateTokenRequest createValidateTokenRequest() {
        return new ValidateTokenRequest();
    }

    /**
     * Create an instance of {@link ClearingRequestType }
     * 
     */
    public ClearingRequestType createClearingRequestType() {
        return new ClearingRequestType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ClearingRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespaces/zustellung/rech", name = "ClearingRequest")
    public JAXBElement<ClearingRequestType> createClearingRequest(ClearingRequestType value) {
        return new JAXBElement<ClearingRequestType>(_ClearingRequest_QNAME, ClearingRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ClearingResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reference.e-government.gv.at/namespaces/zustellung/rech", name = "ClearingResponse")
    public JAXBElement<ClearingResponseType> createClearingResponse(ClearingResponseType value) {
        return new JAXBElement<ClearingResponseType>(_ClearingResponse_QNAME, ClearingResponseType.class, null, value);
    }

}
