
package at.gv.util.xsd.zuserech;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="TokenEntry" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="X509IssuerSerial" type="{http://reference.e-government.gv.at/namespaces/zustellung/rech}X509IssuerSerialType"/>
 *                   &lt;element name="Token" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                 &lt;/sequence>
 *                 &lt;attribute name="ID" use="required" type="{http://www.w3.org/2001/XMLSchema}token" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "tokenEntry"
})
@XmlRootElement(name = "ValidateTokenRequest")
public class ValidateTokenRequest {

    @XmlElement(name = "TokenEntry", required = true)
    protected List<ValidateTokenRequest.TokenEntry> tokenEntry;

    /**
     * Gets the value of the tokenEntry property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the tokenEntry property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTokenEntry().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ValidateTokenRequest.TokenEntry }
     * 
     * 
     */
    public List<ValidateTokenRequest.TokenEntry> getTokenEntry() {
        if (tokenEntry == null) {
            tokenEntry = new ArrayList<ValidateTokenRequest.TokenEntry>();
        }
        return this.tokenEntry;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="X509IssuerSerial" type="{http://reference.e-government.gv.at/namespaces/zustellung/rech}X509IssuerSerialType"/>
     *         &lt;element name="Token" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *       &lt;/sequence>
     *       &lt;attribute name="ID" use="required" type="{http://www.w3.org/2001/XMLSchema}token" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "x509IssuerSerial",
        "token"
    })
    public static class TokenEntry {

        @XmlElement(name = "X509IssuerSerial", required = true)
        protected X509IssuerSerialType x509IssuerSerial;
        @XmlElement(name = "Token", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String token;
        @XmlAttribute(name = "ID", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String id;

        /**
         * Gets the value of the x509IssuerSerial property.
         * 
         * @return
         *     possible object is
         *     {@link X509IssuerSerialType }
         *     
         */
        public X509IssuerSerialType getX509IssuerSerial() {
            return x509IssuerSerial;
        }

        /**
         * Sets the value of the x509IssuerSerial property.
         * 
         * @param value
         *     allowed object is
         *     {@link X509IssuerSerialType }
         *     
         */
        public void setX509IssuerSerial(X509IssuerSerialType value) {
            this.x509IssuerSerial = value;
        }

        /**
         * Gets the value of the token property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getToken() {
            return token;
        }

        /**
         * Sets the value of the token property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setToken(String value) {
            this.token = value;
        }

        /**
         * Gets the value of the id property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getID() {
            return id;
        }

        /**
         * Sets the value of the id property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setID(String value) {
            this.id = value;
        }

    }

}
